//package com.cloudcross.ssp.web.settings;
//
//import java.util.Date;
//import java.util.HashMap;
//import java.util.Map;
//
//import org.apache.commons.lang.RandomStringUtils;
//import org.apache.commons.lang.StringUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.stereotype.Controller;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RequestMethod;
//import org.springframework.web.bind.annotation.RequestParam;
//import org.springframework.web.bind.annotation.ResponseBody;
//
//import com.cloudcross.ssp.back.model.User;
//import com.cloudcross.ssp.back.service.IUserService;
//import com.cloudcross.ssp.base.service.IMailService;
//import com.cloudcross.ssp.base.web.result.AjaxResult;
//import com.cloudcross.ssp.common.utils.MD5;
//import com.cloudcross.ssp.common.utils.MapBuilder;
//
///**
// * 账户密码相关功能。
// * 
// * @author qaohao
// */
//@Controller
//@RequestMapping("/settings/password")
//public class PasswordController {
//	
//	@Autowired
//    private IMailService mailService;
//	
//	@Autowired
//	private IUserService userService;
//	
//	/**
//	 * @return 找回密码页面。
//	 */
//	@RequestMapping("/find")
//	public String find() {
//		return "settings/password/find";
//	}
//	
//	/**
//	 * @return 找回密码页面。
//	 */
//	
//	@RequestMapping(value = "/reset", method = { RequestMethod.GET })
//	public @ResponseBody AjaxResult reset(@RequestParam String email) {
//	
//		AjaxResult result = new AjaxResult();
//		
//		//声明变量，存放邮件模板中需要的数据
// 		Map  userMap = new HashMap();
//		User user = userService.findByUsername(email);
//		
//		//数据库中不存在，直接返回
//		if(null ==user){
//			result.setStatus("false");
//			result.setMsg("您输入的邮箱地址无效，请重新输入");
//			return result;
//		}
//		//获得随机生成密码(六位，字母+数字)
//		String password =   RandomStringUtils.random(6,true,true);
//		
//		//排除密码为纯数字或者字母的可能
//		while(StringUtils.isAlpha(password) || StringUtils.isNumeric(password)){
//			password =  RandomStringUtils.random(6,true,true);
//		}
//		
//		//修改数据库中用户密码
//		user.setPassword(MD5.getInstance().getMD5(password));
//		user.setModifyDate(new Date());
//		userService.edit(user);
//		
//		userMap.put("username", user.getUsername());
//		userMap.put("password", password);
//		
//		try {
//			mailService.sendMessage("密码找回邮件", "resetPassword.ftl",
//					MapBuilder.create(HashMap.class).addAll(userMap).map(),
//					user.getUsername());
//		} catch (Exception e) {
//			e.printStackTrace();
//			result.setStatus("false");
//			result.setMsg("邮件发送失败");
//			return result ;
//		}
//		result.setStatus("ok");
//		result.setMsg("包含新密码的电子邮件已发送到您的邮箱");
//		return result;
//	}
//}