<@override name="head">	
<title>编辑创意</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.ui.widget.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.iframe-transport.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/jquery.fileupload.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/adBanner.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/campaign/list?orderId=${orderId!}&advertiserId=${advertiserId!}">活动管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/ad-group/list?campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">投放管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/target/ad/list?adGroupId=${adGroupId!}&campaignId=${campaignId!}&orderId=${orderId!}&advertiserId=${advertiserId!}">创意管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">编辑创意</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/advertiser/main/ad/target/ad/save" method="post">
	 			<input type="hidden" id="adGroupId" name="adGroupId" value="${banner.adGroupId!}"/>
   				<input type="hidden" id="bannerId" name="id" value="${banner.id!}"/>
   				<input type="hidden" id="campaignId" value="${campaignId!}"/>
   				<input type="hidden" id="orderId" value="${orderId!}"/>
   				<input type="hidden" id="advertiserId" value="${advertiserId!}"/>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>创意名称：</label>
					<input class="input-text" tabindex="1" id="bannerTemplateName" name="bannerTemplate.name" type="text" value="${banner.bannerTemplate.name!}" disabled="true"/>
					<input id="bannerTemplateName1" name="bannerTemplate.name" type="hidden" value="${banner.bannerTemplate.name!}"/>
				</div>
				<div class="input-group" id="input-file-div">
					<label class="input-label-other"><span class="lbl-yes">*</span>上传创意：</label>
					<a id="upload-click" href="#">点&nbsp;&nbsp;击&nbsp;&nbsp;上&nbsp;&nbsp;传</a>
					<input type="file" id="input-file"/>
					<input type="hidden" id="upload-path" name="uploadPath" value=""/>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-yes">*</span>到达地址：</label>
					<input class="input-text" tabindex="2" id="visitAddress" name="visitAddress" type="text" value="${banner.visitAddress!}" verify="text/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>点击监测地址：</label>
					<input class="input-text" tabindex="3" id="clickAddress" name="clickAddress" type="text" value="${banner.clickAddress!}" verify="text/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label-other"><span class="lbl-no"></span>曝光监测地址：</label>
					<input class="input-text" tabindex="4" id="impressionAddress" name="impressionAddress" type="text" value="${banner.impressionAddress!}" verify="text/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>