<@override name="head">
<title>用户场景定义</title>
<link rel="stylesheet" href="${ctx}/assets/css/apPlace.css"/>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/table.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/apPlace.js"></script>
</@override>
<@override name="body">
<!-- PAGE CONTENT BEGINS HERE -->
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id="pagecontent">
		<div id="content">
			<div id="selectBar_apmac" class="selectBar">
				<a href="${ctx}/back/main/ap/apmac/list">热点管理</a>
				<a href="${ctx}/back/main/ap/place/unclassfiedPlaceName">新增数聚场景</a>
				<a class="selectBar_change" href="${ctx}/back/main/ap/place/place-sort">用户场景定义</a>
				<a href="${ctx}/back/main/ap/apmac/relationship">场景对应关系</a>
		    </div>
		    <div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">用户场景定义</li>
				</ul>  
 			</div>
		 	<div id="place_sort">
		 		<form id="myform" action="${ctx}/back/main/ap/place/place-sort" method="post">
			 		<div class="place_left">
						<label class="place_label">待分类媒体场景</label><span>(此项可多选)</span>
						<div id="navButtons">
							<div id="searchValueDiv">
								<input type="hidden" id="page" name="page" value="${pager.page}"/>
								<input id="searchValue" type="text" name="searchValue" value="${searchValue!}" tabindex="1"/>
								<input id="serachData_img" type="submit" value=""/>
							</div>
						</div>
						<div class="input-checkboxsDiv">
							<#if placeOperatorList ??>
							<#list placeOperatorList as placeoperator>
							<div class="single_div">
								<input  name="place" type="checkbox" id="${placeoperator.id!}" value="${placeoperator.id!}">
								<label class="single_div_span" for="${placeoperator.id!}">${placeoperator.name!}</label>
							</div>
							</#list>
							</#if>
						</div>
						<div id="save" class="btn-save">全选</div>
						<div id="pageDiv-other">
							<#include "/common/pagination/simple.ftl"/>
						</div>
					</div>
				
				<div class="place_right">
					<label class="place_label">子场景</label>
					<div class="input-checkboxsDiv">
						<#if placeList ??>
						<#list placeList as place>
						<div class="single_div_right">
							<input name="place" type="radio" id="${place.id!}" value="${place.id!}">
							<label class="single_div_span" for="${place.id!}">${place.name!}</label>
						</div>
						</#list>
						</#if>
					</div>
					<div id="place_btnDiv">
						<a id="btn-sort-submit" class="btn3" type="button">提交</a>
					</div>
				</div>
				</form>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
