package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.model.Advertiser;
import com.cloudcross.ssp.model.RptAdvertiserHour;
import com.cloudcross.ssp.base.service.IGenericService;


public interface IRptAdvertiserHourService extends IGenericService<RptAdvertiserHour>{
	
	/**
	 * 查找某个广告主一天每个小时的每一个小时所有广告位的点击数，到达数，转化数，ecpm等等
	 */
	List<RptAdvertiserHour> findEveryHourData(Map<String, Object> paramMap);
	
	//导出Excel用
	public List<Advertiser> findDeliverEffectAnalysis(Map<String, Object> paramMap);
}
