package com.cloudcross.ssp.service;

import java.util.List;
import java.util.Map;

import com.cloudcross.ssp.base.service.IGenericService;
import com.cloudcross.ssp.common.utils.Pager1;
import com.cloudcross.ssp.model.WifiGroupInfo;

/**
 * 
 *
 * 类名称：IWifiGroupInfoService
 * 类描述：IWifiGroupInfoService接口
 * 创建人：zhoujun
 * 修改人：zhoujun
 * 修改时间：2015年11月19日 下午12:33:08
 * 修改备注：
 * @version 1.0.0
 *
 */
public interface IWifiGroupInfoService extends IGenericService<WifiGroupInfo>{
	public List<WifiGroupInfo> queryWifiGroupInfoByCondition(Map<String,Object>condition);
	public List<WifiGroupInfo> queryWifiGroupInfoByadgroupId(Long adgroupId);
	public List<WifiGroupInfo> queryWifiGroupInfoByCondition(Map<String,Object>condition,Pager1 pager);
	public Integer queryWifiGroupInfoCountByCondition(Map<String,Object>condition);
	public List<WifiGroupInfo> queryGroupNameAll(Map<String,Object>map);
	public boolean updateStatusById(Long id, int status);
}
