/*
Navicat MySQL Data Transfer

Source Server         : localhost
Source Server Version : 50173
Source Host           : localhost:3306
Source Database       : ox_dev

Target Server Type    : MYSQL
Target Server Version : 50173
File Encoding         : 65001

Date: 2014-05-27 16:58:27
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for `banner_vast_element_seq`
-- ----------------------------
DROP TABLE IF EXISTS `banner_vast_element_seq`;
CREATE TABLE `banner_vast_element_seq` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of banner_vast_element_seq
-- ----------------------------
INSERT INTO `banner_vast_element_seq` VALUES ('1');

-- ----------------------------
-- Table structure for `rv_accounts`
-- ----------------------------
DROP TABLE IF EXISTS `rv_accounts`;
CREATE TABLE `rv_accounts` (
  `account_id` int(11) NOT NULL AUTO_INCREMENT,
  `account_type` varchar(16) NOT NULL DEFAULT '',
  `account_name` varchar(255) DEFAULT NULL,
  `m2m_password` varchar(32) DEFAULT NULL,
  `m2m_ticket` varchar(32) DEFAULT NULL,
  `active` int(2) DEFAULT NULL,
  PRIMARY KEY (`account_id`),
  KEY `rv_accounts_account_type` (`account_type`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_accounts
-- ----------------------------
INSERT INTO `rv_accounts` VALUES ('1', 'ADMIN', 'Administrator account', null, null, '1');
INSERT INTO `rv_accounts` VALUES ('2', 'MANAGER', 'Default manager', null, null, '1');

-- ----------------------------
-- Table structure for `rv_account_preference_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_account_preference_assoc`;
CREATE TABLE `rv_account_preference_assoc` (
  `account_id` int(11) NOT NULL,
  `preference_id` int(11) NOT NULL,
  `value` text NOT NULL,
  PRIMARY KEY (`account_id`,`preference_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_account_preference_assoc
-- ----------------------------
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '1', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '2', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '3', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '4', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '5', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '6', '100');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '7', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '8', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '9', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '10', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '11', '100');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '12', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '13', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '14', '100');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '15', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '16', 'Asia/Shanghai');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '17', '4');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '18', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '19', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '20', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '21', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '22', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '23', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '24', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '25', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '26', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '27', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '28', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '29', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '30', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '31', '2');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '32', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '33', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '34', '4');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '35', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '36', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '37', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '38', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '39', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '40', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '41', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '42', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '43', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '44', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '45', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '46', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '47', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '48', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '49', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '50', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '51', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '52', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '53', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '54', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '55', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '56', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '57', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '58', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '59', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '60', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '61', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '62', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '63', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '64', '5');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '65', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '66', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '67', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '68', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '69', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '70', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '71', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '72', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '73', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '74', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '75', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '76', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '77', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '78', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '79', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '80', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '81', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '82', '2');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '83', '1');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '84', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '85', '3');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '86', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '87', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '88', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '89', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '90', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '91', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '92', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '93', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '94', '0');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '95', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '96', '');
INSERT INTO `rv_account_preference_assoc` VALUES ('1', '97', '0');

-- ----------------------------
-- Table structure for `rv_account_user_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_account_user_assoc`;
CREATE TABLE `rv_account_user_assoc` (
  `account_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `linked` datetime NOT NULL,
  PRIMARY KEY (`account_id`,`user_id`),
  KEY `rv_account_user_assoc_user_id` (`user_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_account_user_assoc
-- ----------------------------
INSERT INTO `rv_account_user_assoc` VALUES ('1', '1', '2014-04-23 11:14:48');
INSERT INTO `rv_account_user_assoc` VALUES ('2', '1', '2014-04-23 11:14:48');

-- ----------------------------
-- Table structure for `rv_account_user_permission_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_account_user_permission_assoc`;
CREATE TABLE `rv_account_user_permission_assoc` (
  `account_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `permission_id` int(11) NOT NULL,
  `is_allowed` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`account_id`,`user_id`,`permission_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_account_user_permission_assoc
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_acls`
-- ----------------------------
DROP TABLE IF EXISTS `rv_acls`;
CREATE TABLE `rv_acls` (
  `bannerid` int(11) NOT NULL DEFAULT '0',
  `logical` varchar(3) NOT NULL DEFAULT 'and',
  `type` varchar(255) NOT NULL DEFAULT '',
  `comparison` char(2) NOT NULL DEFAULT '==',
  `data` text NOT NULL,
  `executionorder` int(11) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `rv_acls_bannerid_executionorder` (`bannerid`,`executionorder`),
  KEY `rv_acls_bannerid` (`bannerid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_acls
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_acls_channel`
-- ----------------------------
DROP TABLE IF EXISTS `rv_acls_channel`;
CREATE TABLE `rv_acls_channel` (
  `channelid` int(11) NOT NULL DEFAULT '0',
  `logical` varchar(3) NOT NULL DEFAULT 'and',
  `type` varchar(255) NOT NULL DEFAULT '',
  `comparison` char(2) NOT NULL DEFAULT '==',
  `data` text NOT NULL,
  `executionorder` int(11) unsigned NOT NULL DEFAULT '0',
  UNIQUE KEY `rv_acls_channel_channelid_executionorder` (`channelid`,`executionorder`),
  KEY `rv_acls_channel_channelid` (`channelid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_acls_channel
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_adgroups`
-- ----------------------------
DROP TABLE IF EXISTS `rv_adgroups`;
CREATE TABLE `rv_adgroups` (
  `adgroupid` int(11) NOT NULL AUTO_INCREMENT,
  `adgroupname` varchar(255) NOT NULL DEFAULT '',
  `clientid` int(11) NOT NULL,
  `activate_time` datetime DEFAULT NULL,
  `expire_time` datetime DEFAULT NULL,
  `totalbudget` decimal(10,4) DEFAULT NULL,
  `dailybudget` decimal(10,4) DEFAULT NULL,
  `views` int(11) DEFAULT '-1',
  `clicks` int(11) DEFAULT '-1',
  `conversions` int(11) DEFAULT '-1',
  `target_impression` int(11) NOT NULL DEFAULT '0',
  `target_click` int(11) NOT NULL DEFAULT '0',
  `target_conversion` int(11) NOT NULL DEFAULT '0',
  `capping` int(11) NOT NULL DEFAULT '0',
  `session_capping` int(11) NOT NULL DEFAULT '0',
  `period_schedule` varchar(20) DEFAULT NULL,
  `schedule_impression` int(11) DEFAULT NULL,
  `schedule_click` int(11) DEFAULT NULL,
  `target_audience` varchar(255) DEFAULT NULL,
  `target_geog` varchar(255) DEFAULT NULL,
  `target_hour` varchar(255) DEFAULT NULL,
  `target_os` varchar(255) DEFAULT NULL,
  `target_browser` varchar(255) DEFAULT NULL,
  `target_domain` varchar(255) DEFAULT NULL,
  `target_language` varchar(255) DEFAULT NULL,
  `status` int(2) DEFAULT NULL,
  `update` datetime DEFAULT NULL,
  PRIMARY KEY (`adgroupid`),
  KEY `rv_adgroups_clientid` (`clientid`) USING BTREE
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_adgroups
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_ad_category_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_ad_category_assoc`;
CREATE TABLE `rv_ad_category_assoc` (
  `ad_category_assoc_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `category_id` int(11) unsigned NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  PRIMARY KEY (`ad_category_assoc_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_ad_category_assoc
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_ad_zone_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_ad_zone_assoc`;
CREATE TABLE `rv_ad_zone_assoc` (
  `ad_zone_assoc_id` int(11) NOT NULL AUTO_INCREMENT,
  `zone_id` int(11) DEFAULT NULL,
  `ad_id` int(11) DEFAULT NULL,
  `priority` int(11) DEFAULT '0',
  `link_type` int(11) NOT NULL DEFAULT '1',
  `priority_factor` int(11) DEFAULT '0',
  `to_be_delivered` int(4) NOT NULL DEFAULT '1',
  PRIMARY KEY (`ad_zone_assoc_id`),
  KEY `rv_ad_zone_assoc_zone_id` (`zone_id`),
  KEY `rv_ad_zone_assoc_ad_id` (`ad_id`)
) ENGINE=MyISAM AUTO_INCREMENT=3 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_ad_zone_assoc
-- ----------------------------
INSERT INTO `rv_ad_zone_assoc` VALUES ('1', '0', '1', '0', '0', '1', '1');
INSERT INTO `rv_ad_zone_assoc` VALUES ('2', '1', '1', '0', '1', '1', '1');

-- ----------------------------
-- Table structure for `rv_affiliates`
-- ----------------------------
DROP TABLE IF EXISTS `rv_affiliates`;
CREATE TABLE `rv_affiliates` (
  `affiliateid` int(11) NOT NULL AUTO_INCREMENT,
  `agencyid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) NOT NULL DEFAULT '',
  `mnemonic` varchar(5) NOT NULL DEFAULT '',
  `comments` text,
  `contactperson` varchar(200) DEFAULT NULL,
  `contact` varchar(255) DEFAULT NULL,
  `email` varchar(255) NOT NULL DEFAULT '',
  `website` varchar(255) DEFAULT NULL,
  `status` int(2) DEFAULT NULL,
  `updated` datetime NOT NULL,
  `created` datetime NOT NULL,
  `an_website_id` int(11) DEFAULT NULL,
  `oac_country_code` varchar(2) NOT NULL DEFAULT '',
  `oac_language_id` int(11) DEFAULT NULL,
  `oac_category_id` int(11) DEFAULT NULL,
  `as_website_id` int(11) DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`affiliateid`),
  UNIQUE KEY `rv_affiliates_account_id` (`account_id`),
  KEY `rv_affiliates_agencyid` (`agencyid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_affiliates
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_affiliates_extra`
-- ----------------------------
DROP TABLE IF EXISTS `rv_affiliates_extra`;
CREATE TABLE `rv_affiliates_extra` (
  `affiliateid` int(11) NOT NULL,
  `address` text,
  `city` varchar(255) DEFAULT NULL,
  `postcode` varchar(64) DEFAULT NULL,
  `country` varchar(255) DEFAULT NULL,
  `phone` varchar(64) DEFAULT NULL,
  `fax` varchar(64) DEFAULT NULL,
  `account_contact` varchar(255) DEFAULT NULL,
  `payee_name` varchar(255) DEFAULT NULL,
  `tax_id` varchar(64) DEFAULT NULL,
  `mode_of_payment` varchar(64) DEFAULT NULL,
  `currency` varchar(64) DEFAULT NULL,
  `unique_users` int(11) DEFAULT NULL,
  `unique_views` int(11) DEFAULT NULL,
  `page_rank` int(11) DEFAULT NULL,
  `category` varchar(255) DEFAULT NULL,
  `help_file` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`affiliateid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_affiliates_extra
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_agency`
-- ----------------------------
DROP TABLE IF EXISTS `rv_agency`;
CREATE TABLE `rv_agency` (
  `agencyid` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) DEFAULT NULL,
  `email` varchar(64) NOT NULL DEFAULT '',
  `logout_url` varchar(255) DEFAULT NULL,
  `active` int(2) DEFAULT '0',
  `updated` datetime NOT NULL,
  `account_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`agencyid`),
  UNIQUE KEY `rv_agency_account_id` (`account_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_agency
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_application_variable`
-- ----------------------------
DROP TABLE IF EXISTS `rv_application_variable`;
CREATE TABLE `rv_application_variable` (
  `name` varchar(255) NOT NULL DEFAULT '',
  `value` text NOT NULL,
  PRIMARY KEY (`name`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_application_variable
-- ----------------------------
INSERT INTO `rv_application_variable` VALUES ('tables_core', '613');
INSERT INTO `rv_application_variable` VALUES ('oa_version', '3.0.4');
INSERT INTO `rv_application_variable` VALUES ('admin_account_id', '1');
INSERT INTO `rv_application_variable` VALUES ('oxHtml_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('oxText_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('Client_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('Geo_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('Site_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('Time_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('ox3rdPartyServers_version', '1.1.0');
INSERT INTO `rv_application_variable` VALUES ('oxReportsStandard_version', '1.5.1');
INSERT INTO `rv_application_variable` VALUES ('oxReportsAdmin_version', '1.5.1');
INSERT INTO `rv_application_variable` VALUES ('oxCacheFile_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('oxMemcached_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('oxMaxMindGeoIP_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('oxInvocationTags_version', '1.2.1');
INSERT INTO `rv_application_variable` VALUES ('tables_oxDeliveryDataPrepare', '002');
INSERT INTO `rv_application_variable` VALUES ('oxDeliveryDataPrepare_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('oxLogClick_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('oxLogConversion_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('oxLogImpression_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('oxLogRequest_version', '1.1.1');
INSERT INTO `rv_application_variable` VALUES ('tables_vastbannertypehtml', '013');
INSERT INTO `rv_application_variable` VALUES ('vastInlineBannerTypeHtml_version', '1.10.1');
INSERT INTO `rv_application_variable` VALUES ('vastOverlayBannerTypeHtml_version', '1.10.1');
INSERT INTO `rv_application_variable` VALUES ('oxLogVast_version', '1.10.0');
INSERT INTO `rv_application_variable` VALUES ('vastServeVideoPlayer_version', '1.10.0');
INSERT INTO `rv_application_variable` VALUES ('videoReport_version', '1.10.0');

-- ----------------------------
-- Table structure for `rv_audit`
-- ----------------------------
DROP TABLE IF EXISTS `rv_audit`;
CREATE TABLE `rv_audit` (
  `auditid` int(11) NOT NULL AUTO_INCREMENT,
  `actionid` int(11) NOT NULL,
  `context` varchar(255) NOT NULL DEFAULT '',
  `contextid` int(11) DEFAULT NULL,
  `parentid` int(11) DEFAULT NULL,
  `details` text NOT NULL,
  `userid` int(11) NOT NULL DEFAULT '0',
  `username` varchar(64) DEFAULT NULL,
  `usertype` int(4) NOT NULL DEFAULT '0',
  `updated` datetime DEFAULT NULL,
  `account_id` int(11) NOT NULL,
  `advertiser_account_id` int(11) DEFAULT NULL,
  `website_account_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`auditid`),
  KEY `rv_audit_parentid_contextid` (`parentid`,`contextid`),
  KEY `rv_audit_updated` (`updated`),
  KEY `rv_audit_usertype` (`usertype`),
  KEY `rv_audit_username` (`username`),
  KEY `rv_audit_context_actionid` (`context`,`actionid`),
  KEY `rv_audit_account_id` (`account_id`),
  KEY `rv_audit_advertiser_account_id` (`advertiser_account_id`),
  KEY `rv_audit_website_account_id` (`website_account_id`)
) ENGINE=MyISAM AUTO_INCREMENT=218 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_audit
-- ----------------------------
INSERT INTO `rv_audit` VALUES ('1', '1', 'accounts', '1', null, 'a:4:{s:10:\"account_id\";i:1;s:12:\"account_type\";s:5:\"ADMIN\";s:12:\"account_name\";s:21:\"Administrator account\";s:8:\"key_desc\";s:21:\"Administrator account\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('2', '1', 'accounts', '2', null, 'a:4:{s:10:\"account_id\";i:2;s:12:\"account_type\";s:7:\"MANAGER\";s:12:\"account_name\";s:15:\"Default manager\";s:8:\"key_desc\";s:15:\"Default manager\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '2', null, null);
INSERT INTO `rv_audit` VALUES ('3', '1', 'agency', '1', null, 'a:9:{s:8:\"agencyid\";i:1;s:4:\"name\";s:15:\"Default manager\";s:7:\"contact\";s:4:\"null\";s:5:\"email\";s:16:\"eylf_007@126.com\";s:10:\"logout_url\";s:4:\"null\";s:6:\"active\";i:1;s:7:\"updated\";s:19:\"2014-04-23 03:14:48\";s:10:\"account_id\";i:2;s:8:\"key_desc\";s:15:\"Default manager\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '2', null, null);
INSERT INTO `rv_audit` VALUES ('4', '1', 'users', '1', null, 'a:14:{s:7:\"user_id\";i:1;s:12:\"contact_name\";s:13:\"Administrator\";s:13:\"email_address\";s:16:\"eylf_007@126.com\";s:8:\"username\";s:7:\"ox_demo\";s:8:\"password\";s:6:\"******\";s:8:\"language\";s:2:\"en\";s:18:\"default_account_id\";i:2;s:8:\"comments\";s:4:\"null\";s:6:\"active\";s:4:\"null\";s:11:\"sso_user_id\";i:0;s:12:\"date_created\";s:19:\"2014-04-23 11:14:48\";s:15:\"date_last_login\";s:4:\"null\";s:13:\"email_updated\";s:19:\"2014-04-23 11:14:48\";s:8:\"key_desc\";s:7:\"ox_demo\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('5', '1', 'account_user_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:7:\"user_id\";i:1;s:6:\"linked\";s:19:\"2014-04-23 11:14:48\";s:8:\"key_desc\";s:21:\"Account #1 -> User #1\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('6', '1', 'account_user_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:2;s:7:\"user_id\";i:1;s:6:\"linked\";s:19:\"2014-04-23 11:14:48\";s:8:\"key_desc\";s:21:\"Account #2 -> User #1\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '2', null, null);
INSERT INTO `rv_audit` VALUES ('7', '1', 'preferences', '1', null, 'a:4:{s:13:\"preference_id\";i:1;s:15:\"preference_name\";s:24:\"default_banner_image_url\";s:12:\"account_type\";s:10:\"TRAFFICKER\";s:8:\"key_desc\";s:24:\"default_banner_image_url\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('8', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:1;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:27:\"Account #1 -> Preference #1\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('9', '1', 'preferences', '2', null, 'a:4:{s:13:\"preference_id\";i:2;s:15:\"preference_name\";s:30:\"default_banner_destination_url\";s:12:\"account_type\";s:10:\"TRAFFICKER\";s:8:\"key_desc\";s:30:\"default_banner_destination_url\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('10', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:2;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:27:\"Account #1 -> Preference #2\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('11', '1', 'preferences', '3', null, 'a:4:{s:13:\"preference_id\";i:3;s:15:\"preference_name\";s:21:\"default_banner_weight\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:21:\"default_banner_weight\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('12', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:3;s:5:\"value\";i:1;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #3\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('13', '1', 'preferences', '4', null, 'a:4:{s:13:\"preference_id\";i:4;s:15:\"preference_name\";s:23:\"default_campaign_weight\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:23:\"default_campaign_weight\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('14', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:4;s:5:\"value\";i:1;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #4\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('15', '1', 'preferences', '5', null, 'a:4:{s:13:\"preference_id\";i:5;s:15:\"preference_name\";s:16:\"warn_email_admin\";s:12:\"account_type\";s:5:\"ADMIN\";s:8:\"key_desc\";s:16:\"warn_email_admin\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('16', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:5;s:5:\"value\";b:1;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #5\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('17', '1', 'preferences', '6', null, 'a:4:{s:13:\"preference_id\";i:6;s:15:\"preference_name\";s:33:\"warn_email_admin_impression_limit\";s:12:\"account_type\";s:5:\"ADMIN\";s:8:\"key_desc\";s:33:\"warn_email_admin_impression_limit\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('18', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:6;s:5:\"value\";i:100;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #6\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('19', '1', 'preferences', '7', null, 'a:4:{s:13:\"preference_id\";i:7;s:15:\"preference_name\";s:26:\"warn_email_admin_day_limit\";s:12:\"account_type\";s:5:\"ADMIN\";s:8:\"key_desc\";s:26:\"warn_email_admin_day_limit\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('20', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:7;s:5:\"value\";i:1;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #7\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('21', '1', 'preferences', '8', null, 'a:4:{s:13:\"preference_id\";i:8;s:15:\"preference_name\";s:21:\"campaign_ecpm_enabled\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:21:\"campaign_ecpm_enabled\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('22', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:8;s:5:\"value\";b:0;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #8\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('23', '1', 'preferences', '9', null, 'a:4:{s:13:\"preference_id\";i:9;s:15:\"preference_name\";s:21:\"contract_ecpm_enabled\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:21:\"contract_ecpm_enabled\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('24', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:9;s:5:\"value\";b:0;s:8:\"key_desc\";s:27:\"Account #1 -> Preference #9\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('25', '1', 'preferences', '10', null, 'a:4:{s:13:\"preference_id\";i:10;s:15:\"preference_name\";s:18:\"warn_email_manager\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:18:\"warn_email_manager\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('26', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:10;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #10\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('27', '1', 'preferences', '11', null, 'a:4:{s:13:\"preference_id\";i:11;s:15:\"preference_name\";s:35:\"warn_email_manager_impression_limit\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:35:\"warn_email_manager_impression_limit\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('28', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:11;s:5:\"value\";i:100;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #11\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('29', '1', 'preferences', '12', null, 'a:4:{s:13:\"preference_id\";i:12;s:15:\"preference_name\";s:28:\"warn_email_manager_day_limit\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:28:\"warn_email_manager_day_limit\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('30', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:12;s:5:\"value\";i:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #12\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('31', '1', 'preferences', '13', null, 'a:4:{s:13:\"preference_id\";i:13;s:15:\"preference_name\";s:21:\"warn_email_advertiser\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:21:\"warn_email_advertiser\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('32', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:13;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #13\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('33', '1', 'preferences', '14', null, 'a:4:{s:13:\"preference_id\";i:14;s:15:\"preference_name\";s:38:\"warn_email_advertiser_impression_limit\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:38:\"warn_email_advertiser_impression_limit\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('34', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:14;s:5:\"value\";i:100;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #14\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('35', '1', 'preferences', '15', null, 'a:4:{s:13:\"preference_id\";i:15;s:15:\"preference_name\";s:31:\"warn_email_advertiser_day_limit\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:31:\"warn_email_advertiser_day_limit\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('36', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:15;s:5:\"value\";i:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #15\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('37', '1', 'preferences', '16', null, 'a:4:{s:13:\"preference_id\";i:16;s:15:\"preference_name\";s:8:\"timezone\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:8:\"timezone\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('38', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:16;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #16\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('39', '1', 'preferences', '17', null, 'a:4:{s:13:\"preference_id\";i:17;s:15:\"preference_name\";s:22:\"tracker_default_status\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:22:\"tracker_default_status\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('40', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:17;s:5:\"value\";i:4;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #17\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('41', '1', 'preferences', '18', null, 'a:4:{s:13:\"preference_id\";i:18;s:15:\"preference_name\";s:20:\"tracker_default_type\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:20:\"tracker_default_type\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('42', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:18;s:5:\"value\";i:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #18\";}', '0', 'Installer', '0', '2014-04-23 03:14:48', '1', null, null);
INSERT INTO `rv_audit` VALUES ('43', '1', 'preferences', '19', null, 'a:4:{s:13:\"preference_id\";i:19;s:15:\"preference_name\";s:22:\"tracker_link_campaigns\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:22:\"tracker_link_campaigns\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('44', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:19;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #19\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('45', '1', 'preferences', '20', null, 'a:4:{s:13:\"preference_id\";i:20;s:15:\"preference_name\";s:21:\"ui_show_campaign_info\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:21:\"ui_show_campaign_info\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('46', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:20;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #20\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('47', '1', 'preferences', '21', null, 'a:4:{s:13:\"preference_id\";i:21;s:15:\"preference_name\";s:19:\"ui_show_banner_info\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:19:\"ui_show_banner_info\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('48', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:21;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #21\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('49', '1', 'preferences', '22', null, 'a:4:{s:13:\"preference_id\";i:22;s:15:\"preference_name\";s:24:\"ui_show_campaign_preview\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:24:\"ui_show_campaign_preview\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('50', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:22;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #22\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('51', '1', 'preferences', '23', null, 'a:4:{s:13:\"preference_id\";i:23;s:15:\"preference_name\";s:19:\"ui_show_banner_html\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:19:\"ui_show_banner_html\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('52', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:23;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #23\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('53', '1', 'preferences', '24', null, 'a:4:{s:13:\"preference_id\";i:24;s:15:\"preference_name\";s:22:\"ui_show_banner_preview\";s:12:\"account_type\";s:10:\"ADVERTISER\";s:8:\"key_desc\";s:22:\"ui_show_banner_preview\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('54', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:24;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #24\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('55', '1', 'preferences', '25', null, 'a:4:{s:13:\"preference_id\";i:25;s:15:\"preference_name\";s:16:\"ui_hide_inactive\";s:12:\"account_type\";s:0:\"\";s:8:\"key_desc\";s:16:\"ui_hide_inactive\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('56', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:25;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #25\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('57', '1', 'preferences', '26', null, 'a:4:{s:13:\"preference_id\";i:26;s:15:\"preference_name\";s:24:\"ui_show_matching_banners\";s:12:\"account_type\";s:10:\"TRAFFICKER\";s:8:\"key_desc\";s:24:\"ui_show_matching_banners\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('58', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:26;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #26\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('59', '1', 'preferences', '27', null, 'a:4:{s:13:\"preference_id\";i:27;s:15:\"preference_name\";s:32:\"ui_show_matching_banners_parents\";s:12:\"account_type\";s:10:\"TRAFFICKER\";s:8:\"key_desc\";s:32:\"ui_show_matching_banners_parents\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('60', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:27;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #27\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('61', '1', 'preferences', '28', null, 'a:4:{s:13:\"preference_id\";i:28;s:15:\"preference_name\";s:17:\"ui_show_entity_id\";s:12:\"account_type\";s:0:\"\";s:8:\"key_desc\";s:17:\"ui_show_entity_id\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('62', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:28;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #28\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('63', '1', 'preferences', '29', null, 'a:4:{s:13:\"preference_id\";i:29;s:15:\"preference_name\";s:14:\"ui_novice_user\";s:12:\"account_type\";s:0:\"\";s:8:\"key_desc\";s:14:\"ui_novice_user\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('64', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:29;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #29\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('65', '1', 'preferences', '30', null, 'a:4:{s:13:\"preference_id\";i:30;s:15:\"preference_name\";s:17:\"ui_week_start_day\";s:12:\"account_type\";s:0:\"\";s:8:\"key_desc\";s:17:\"ui_week_start_day\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('66', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:30;s:5:\"value\";i:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #30\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('67', '1', 'preferences', '31', null, 'a:4:{s:13:\"preference_id\";i:31;s:15:\"preference_name\";s:22:\"ui_percentage_decimals\";s:12:\"account_type\";s:0:\"\";s:8:\"key_desc\";s:22:\"ui_percentage_decimals\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('68', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:31;s:5:\"value\";i:2;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #31\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('69', '1', 'preferences', '32', null, 'a:4:{s:13:\"preference_id\";i:32;s:15:\"preference_name\";s:17:\"ui_column_revenue\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:17:\"ui_column_revenue\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('70', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:32;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #32\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('71', '1', 'preferences', '33', null, 'a:4:{s:13:\"preference_id\";i:33;s:15:\"preference_name\";s:23:\"ui_column_revenue_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:23:\"ui_column_revenue_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('72', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:33;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #33\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('73', '1', 'preferences', '34', null, 'a:4:{s:13:\"preference_id\";i:34;s:15:\"preference_name\";s:22:\"ui_column_revenue_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:22:\"ui_column_revenue_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('74', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:34;s:5:\"value\";i:4;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #34\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('75', '1', 'preferences', '35', null, 'a:4:{s:13:\"preference_id\";i:35;s:15:\"preference_name\";s:12:\"ui_column_bv\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:12:\"ui_column_bv\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('76', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:35;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #35\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('77', '1', 'preferences', '36', null, 'a:4:{s:13:\"preference_id\";i:36;s:15:\"preference_name\";s:18:\"ui_column_bv_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:18:\"ui_column_bv_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('78', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:36;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #36\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('79', '1', 'preferences', '37', null, 'a:4:{s:13:\"preference_id\";i:37;s:15:\"preference_name\";s:17:\"ui_column_bv_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:17:\"ui_column_bv_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('80', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:37;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #37\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('81', '1', 'preferences', '38', null, 'a:4:{s:13:\"preference_id\";i:38;s:15:\"preference_name\";s:19:\"ui_column_num_items\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_num_items\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('82', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:38;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #38\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('83', '1', 'preferences', '39', null, 'a:4:{s:13:\"preference_id\";i:39;s:15:\"preference_name\";s:25:\"ui_column_num_items_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:25:\"ui_column_num_items_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('84', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:39;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #39\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('85', '1', 'preferences', '40', null, 'a:4:{s:13:\"preference_id\";i:40;s:15:\"preference_name\";s:24:\"ui_column_num_items_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:24:\"ui_column_num_items_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('86', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:40;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #40\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('87', '1', 'preferences', '41', null, 'a:4:{s:13:\"preference_id\";i:41;s:15:\"preference_name\";s:16:\"ui_column_revcpc\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:16:\"ui_column_revcpc\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('88', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:41;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #41\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('89', '1', 'preferences', '42', null, 'a:4:{s:13:\"preference_id\";i:42;s:15:\"preference_name\";s:22:\"ui_column_revcpc_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:22:\"ui_column_revcpc_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('90', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:42;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #42\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('91', '1', 'preferences', '43', null, 'a:4:{s:13:\"preference_id\";i:43;s:15:\"preference_name\";s:21:\"ui_column_revcpc_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:21:\"ui_column_revcpc_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('92', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:43;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #43\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('93', '1', 'preferences', '44', null, 'a:4:{s:13:\"preference_id\";i:44;s:15:\"preference_name\";s:14:\"ui_column_erpm\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_erpm\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('94', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:44;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #44\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('95', '1', 'preferences', '45', null, 'a:4:{s:13:\"preference_id\";i:45;s:15:\"preference_name\";s:20:\"ui_column_erpm_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_erpm_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('96', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:45;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #45\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('97', '1', 'preferences', '46', null, 'a:4:{s:13:\"preference_id\";i:46;s:15:\"preference_name\";s:19:\"ui_column_erpm_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_erpm_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('98', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:46;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #46\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('99', '1', 'preferences', '47', null, 'a:4:{s:13:\"preference_id\";i:47;s:15:\"preference_name\";s:14:\"ui_column_erpc\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_erpc\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('100', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:47;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #47\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('101', '1', 'preferences', '48', null, 'a:4:{s:13:\"preference_id\";i:48;s:15:\"preference_name\";s:20:\"ui_column_erpc_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_erpc_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('102', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:48;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #48\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('103', '1', 'preferences', '49', null, 'a:4:{s:13:\"preference_id\";i:49;s:15:\"preference_name\";s:19:\"ui_column_erpc_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_erpc_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('104', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:49;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #49\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('105', '1', 'preferences', '50', null, 'a:4:{s:13:\"preference_id\";i:50;s:15:\"preference_name\";s:14:\"ui_column_erps\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_erps\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('106', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:50;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #50\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('107', '1', 'preferences', '51', null, 'a:4:{s:13:\"preference_id\";i:51;s:15:\"preference_name\";s:20:\"ui_column_erps_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_erps_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('108', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:51;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #51\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('109', '1', 'preferences', '52', null, 'a:4:{s:13:\"preference_id\";i:52;s:15:\"preference_name\";s:19:\"ui_column_erps_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_erps_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:49', '1', null, null);
INSERT INTO `rv_audit` VALUES ('110', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:52;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #52\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('111', '1', 'preferences', '53', null, 'a:4:{s:13:\"preference_id\";i:53;s:15:\"preference_name\";s:14:\"ui_column_eipm\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_eipm\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('112', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:53;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #53\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('113', '1', 'preferences', '54', null, 'a:4:{s:13:\"preference_id\";i:54;s:15:\"preference_name\";s:20:\"ui_column_eipm_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_eipm_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('114', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:54;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #54\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('115', '1', 'preferences', '55', null, 'a:4:{s:13:\"preference_id\";i:55;s:15:\"preference_name\";s:19:\"ui_column_eipm_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_eipm_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('116', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:55;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #55\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('117', '1', 'preferences', '56', null, 'a:4:{s:13:\"preference_id\";i:56;s:15:\"preference_name\";s:14:\"ui_column_eipc\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_eipc\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('118', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:56;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #56\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('119', '1', 'preferences', '57', null, 'a:4:{s:13:\"preference_id\";i:57;s:15:\"preference_name\";s:20:\"ui_column_eipc_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_eipc_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('120', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:57;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #57\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('121', '1', 'preferences', '58', null, 'a:4:{s:13:\"preference_id\";i:58;s:15:\"preference_name\";s:19:\"ui_column_eipc_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_eipc_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('122', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:58;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #58\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('123', '1', 'preferences', '59', null, 'a:4:{s:13:\"preference_id\";i:59;s:15:\"preference_name\";s:14:\"ui_column_eips\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_eips\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('124', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:59;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #59\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('125', '1', 'preferences', '60', null, 'a:4:{s:13:\"preference_id\";i:60;s:15:\"preference_name\";s:20:\"ui_column_eips_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_eips_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('126', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:60;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #60\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('127', '1', 'preferences', '61', null, 'a:4:{s:13:\"preference_id\";i:61;s:15:\"preference_name\";s:19:\"ui_column_eips_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_eips_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('128', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:61;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #61\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('129', '1', 'preferences', '62', null, 'a:4:{s:13:\"preference_id\";i:62;s:15:\"preference_name\";s:14:\"ui_column_ecpm\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_ecpm\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('130', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:62;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #62\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('131', '1', 'preferences', '63', null, 'a:4:{s:13:\"preference_id\";i:63;s:15:\"preference_name\";s:20:\"ui_column_ecpm_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_ecpm_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('132', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:63;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #63\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('133', '1', 'preferences', '64', null, 'a:4:{s:13:\"preference_id\";i:64;s:15:\"preference_name\";s:19:\"ui_column_ecpm_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_ecpm_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('134', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:64;s:5:\"value\";i:5;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #64\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('135', '1', 'preferences', '65', null, 'a:4:{s:13:\"preference_id\";i:65;s:15:\"preference_name\";s:14:\"ui_column_ecpc\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_ecpc\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('136', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:65;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #65\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('137', '1', 'preferences', '66', null, 'a:4:{s:13:\"preference_id\";i:66;s:15:\"preference_name\";s:20:\"ui_column_ecpc_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_ecpc_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('138', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:66;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #66\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('139', '1', 'preferences', '67', null, 'a:4:{s:13:\"preference_id\";i:67;s:15:\"preference_name\";s:19:\"ui_column_ecpc_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_ecpc_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('140', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:67;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #67\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('141', '1', 'preferences', '68', null, 'a:4:{s:13:\"preference_id\";i:68;s:15:\"preference_name\";s:14:\"ui_column_ecps\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:14:\"ui_column_ecps\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('142', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:68;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #68\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('143', '1', 'preferences', '69', null, 'a:4:{s:13:\"preference_id\";i:69;s:15:\"preference_name\";s:20:\"ui_column_ecps_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:20:\"ui_column_ecps_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('144', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:69;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #69\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('145', '1', 'preferences', '70', null, 'a:4:{s:13:\"preference_id\";i:70;s:15:\"preference_name\";s:19:\"ui_column_ecps_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_ecps_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('146', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:70;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #70\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('147', '1', 'preferences', '71', null, 'a:4:{s:13:\"preference_id\";i:71;s:15:\"preference_name\";s:12:\"ui_column_id\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:12:\"ui_column_id\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('148', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:71;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #71\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('149', '1', 'preferences', '72', null, 'a:4:{s:13:\"preference_id\";i:72;s:15:\"preference_name\";s:18:\"ui_column_id_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:18:\"ui_column_id_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('150', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:72;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #72\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('151', '1', 'preferences', '73', null, 'a:4:{s:13:\"preference_id\";i:73;s:15:\"preference_name\";s:17:\"ui_column_id_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:17:\"ui_column_id_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('152', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:73;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #73\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('153', '1', 'preferences', '74', null, 'a:4:{s:13:\"preference_id\";i:74;s:15:\"preference_name\";s:18:\"ui_column_requests\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:18:\"ui_column_requests\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('154', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:74;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #74\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('155', '1', 'preferences', '75', null, 'a:4:{s:13:\"preference_id\";i:75;s:15:\"preference_name\";s:24:\"ui_column_requests_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:24:\"ui_column_requests_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('156', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:75;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #75\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('157', '1', 'preferences', '76', null, 'a:4:{s:13:\"preference_id\";i:76;s:15:\"preference_name\";s:23:\"ui_column_requests_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:23:\"ui_column_requests_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('158', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:76;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #76\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('159', '1', 'preferences', '77', null, 'a:4:{s:13:\"preference_id\";i:77;s:15:\"preference_name\";s:21:\"ui_column_impressions\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:21:\"ui_column_impressions\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('160', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:77;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #77\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('161', '1', 'preferences', '78', null, 'a:4:{s:13:\"preference_id\";i:78;s:15:\"preference_name\";s:27:\"ui_column_impressions_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:27:\"ui_column_impressions_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('162', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:78;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #78\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('163', '1', 'preferences', '79', null, 'a:4:{s:13:\"preference_id\";i:79;s:15:\"preference_name\";s:26:\"ui_column_impressions_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:26:\"ui_column_impressions_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('164', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:79;s:5:\"value\";i:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #79\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('165', '1', 'preferences', '80', null, 'a:4:{s:13:\"preference_id\";i:80;s:15:\"preference_name\";s:16:\"ui_column_clicks\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:16:\"ui_column_clicks\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('166', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:80;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #80\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('167', '1', 'preferences', '81', null, 'a:4:{s:13:\"preference_id\";i:81;s:15:\"preference_name\";s:22:\"ui_column_clicks_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:22:\"ui_column_clicks_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('168', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:81;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #81\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('169', '1', 'preferences', '82', null, 'a:4:{s:13:\"preference_id\";i:82;s:15:\"preference_name\";s:21:\"ui_column_clicks_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:21:\"ui_column_clicks_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('170', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:82;s:5:\"value\";i:2;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #82\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('171', '1', 'preferences', '83', null, 'a:4:{s:13:\"preference_id\";i:83;s:15:\"preference_name\";s:13:\"ui_column_ctr\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:13:\"ui_column_ctr\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('172', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:83;s:5:\"value\";b:1;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #83\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('173', '1', 'preferences', '84', null, 'a:4:{s:13:\"preference_id\";i:84;s:15:\"preference_name\";s:19:\"ui_column_ctr_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_ctr_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('174', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:84;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #84\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('175', '1', 'preferences', '85', null, 'a:4:{s:13:\"preference_id\";i:85;s:15:\"preference_name\";s:18:\"ui_column_ctr_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:18:\"ui_column_ctr_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:50', '1', null, null);
INSERT INTO `rv_audit` VALUES ('176', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:85;s:5:\"value\";i:3;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #85\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('177', '1', 'preferences', '86', null, 'a:4:{s:13:\"preference_id\";i:86;s:15:\"preference_name\";s:21:\"ui_column_conversions\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:21:\"ui_column_conversions\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('178', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:86;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #86\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('179', '1', 'preferences', '87', null, 'a:4:{s:13:\"preference_id\";i:87;s:15:\"preference_name\";s:27:\"ui_column_conversions_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:27:\"ui_column_conversions_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('180', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:87;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #87\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('181', '1', 'preferences', '88', null, 'a:4:{s:13:\"preference_id\";i:88;s:15:\"preference_name\";s:26:\"ui_column_conversions_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:26:\"ui_column_conversions_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('182', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:88;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #88\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('183', '1', 'preferences', '89', null, 'a:4:{s:13:\"preference_id\";i:89;s:15:\"preference_name\";s:29:\"ui_column_conversions_pending\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:29:\"ui_column_conversions_pending\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('184', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:89;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #89\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('185', '1', 'preferences', '90', null, 'a:4:{s:13:\"preference_id\";i:90;s:15:\"preference_name\";s:35:\"ui_column_conversions_pending_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:35:\"ui_column_conversions_pending_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('186', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:90;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #90\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('187', '1', 'preferences', '91', null, 'a:4:{s:13:\"preference_id\";i:91;s:15:\"preference_name\";s:34:\"ui_column_conversions_pending_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:34:\"ui_column_conversions_pending_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('188', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:91;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #91\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('189', '1', 'preferences', '92', null, 'a:4:{s:13:\"preference_id\";i:92;s:15:\"preference_name\";s:18:\"ui_column_sr_views\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:18:\"ui_column_sr_views\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('190', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:92;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #92\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('191', '1', 'preferences', '93', null, 'a:4:{s:13:\"preference_id\";i:93;s:15:\"preference_name\";s:24:\"ui_column_sr_views_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:24:\"ui_column_sr_views_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('192', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:93;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #93\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('193', '1', 'preferences', '94', null, 'a:4:{s:13:\"preference_id\";i:94;s:15:\"preference_name\";s:23:\"ui_column_sr_views_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:23:\"ui_column_sr_views_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('194', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:94;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #94\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('195', '1', 'preferences', '95', null, 'a:4:{s:13:\"preference_id\";i:95;s:15:\"preference_name\";s:19:\"ui_column_sr_clicks\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:19:\"ui_column_sr_clicks\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('196', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:95;s:5:\"value\";b:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #95\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('197', '1', 'preferences', '96', null, 'a:4:{s:13:\"preference_id\";i:96;s:15:\"preference_name\";s:25:\"ui_column_sr_clicks_label\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:25:\"ui_column_sr_clicks_label\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('198', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:96;s:5:\"value\";s:0:\"\";s:8:\"key_desc\";s:28:\"Account #1 -> Preference #96\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('199', '1', 'preferences', '97', null, 'a:4:{s:13:\"preference_id\";i:97;s:15:\"preference_name\";s:24:\"ui_column_sr_clicks_rank\";s:12:\"account_type\";s:7:\"MANAGER\";s:8:\"key_desc\";s:24:\"ui_column_sr_clicks_rank\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('200', '1', 'account_preference_assoc', '0', null, 'a:4:{s:10:\"account_id\";i:1;s:13:\"preference_id\";i:97;s:5:\"value\";i:0;s:8:\"key_desc\";s:28:\"Account #1 -> Preference #97\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('201', '2', 'account_preference_assoc', '0', null, 'a:2:{s:5:\"value\";a:2:{s:3:\"was\";s:0:\"\";s:2:\"is\";s:13:\"Asia/Shanghai\";}s:8:\"key_desc\";s:28:\"Account #1 -> Preference #16\";}', '0', 'Installer', '0', '2014-04-23 03:14:51', '1', null, null);
INSERT INTO `rv_audit` VALUES ('202', '1', 'accounts', '3', null, 'a:4:{s:10:\"account_id\";i:3;s:12:\"account_type\";s:10:\"ADVERTISER\";s:12:\"account_name\";s:16:\"new_advertiser_1\";s:8:\"key_desc\";s:16:\"new_advertiser_1\";}', '1', 'ox_demo', '0', '2014-04-23 03:22:07', '1', '3', null);
INSERT INTO `rv_audit` VALUES ('203', '1', 'clients', '1', null, 'a:17:{s:8:\"clientid\";i:1;s:8:\"agencyid\";i:1;s:10:\"clientname\";s:16:\"new_advertiser_1\";s:7:\"contact\";s:12:\"010-86095126\";s:5:\"email\";s:16:\"eylf_007@126.com\";s:6:\"report\";s:1:\"t\";s:14:\"reportinterval\";i:7;s:14:\"reportlastdate\";s:10:\"2014-04-23\";s:16:\"reportdeactivate\";s:1:\"t\";s:8:\"comments\";s:7:\"comment\";s:7:\"updated\";s:19:\"2014-04-23 03:22:07\";s:15:\"an_adnetwork_id\";i:0;s:16:\"as_advertiser_id\";i:0;s:10:\"account_id\";i:3;s:21:\"advertiser_limitation\";s:4:\"true\";s:4:\"type\";i:0;s:8:\"key_desc\";s:16:\"new_advertiser_1\";}', '1', 'ox_demo', '0', '2014-04-23 03:22:07', '2', '3', null);
INSERT INTO `rv_audit` VALUES ('204', '1', 'campaigns', '1', null, 'a:37:{s:10:\"campaignid\";i:1;s:12:\"campaignname\";s:35:\"new_advertiser_1 - Default Campaign\";s:8:\"clientid\";i:1;s:5:\"views\";i:-1;s:6:\"clicks\";i:-1;s:11:\"conversions\";i:-1;s:8:\"priority\";i:0;s:6:\"weight\";i:1;s:17:\"target_impression\";i:0;s:12:\"target_click\";i:0;s:17:\"target_conversion\";i:0;s:9:\"anonymous\";s:1:\"f\";s:9:\"companion\";i:0;s:21:\"show_capped_no_cookie\";i:0;s:8:\"comments\";s:0:\"\";s:7:\"revenue\";i:1;s:12:\"revenue_type\";i:2;s:7:\"updated\";s:19:\"2014-04-23 03:27:59\";s:5:\"block\";i:0;s:7:\"capping\";i:0;s:15:\"session_capping\";i:0;s:14:\"an_campaign_id\";i:0;s:14:\"as_campaign_id\";i:0;s:6:\"status\";i:0;s:9:\"an_status\";i:0;s:16:\"as_reject_reason\";i:0;s:12:\"hosted_views\";i:0;s:13:\"hosted_clicks\";i:0;s:10:\"viewwindow\";i:0;s:11:\"clickwindow\";i:0;s:4:\"ecpm\";i:0;s:15:\"min_impressions\";i:100;s:12:\"ecpm_enabled\";i:0;s:13:\"activate_time\";s:19:\"2014-04-22 16:00:00\";s:11:\"expire_time\";s:19:\"2014-04-28 15:59:59\";s:4:\"type\";i:0;s:8:\"key_desc\";s:35:\"new_advertiser_1 - Default Campaign\";}', '1', 'ox_demo', '0', '2014-04-23 03:27:59', '2', '3', null);
INSERT INTO `rv_audit` VALUES ('205', '2', 'users', '1', null, 'a:2:{s:15:\"date_last_login\";a:2:{s:3:\"was\";N;s:2:\"is\";s:19:\"2014-04-23 05:06:55\";}s:8:\"key_desc\";N;}', '0', null, '0', '2014-04-23 05:06:55', '1', null, null);
INSERT INTO `rv_audit` VALUES ('206', '1', 'banners', '1', null, 'a:44:{s:8:\"bannerid\";i:1;s:10:\"campaignid\";i:1;s:11:\"contenttype\";s:0:\"\";s:13:\"pluginversion\";i:0;s:11:\"storagetype\";s:4:\"html\";s:8:\"filename\";s:0:\"\";s:8:\"imageurl\";s:0:\"\";s:12:\"htmltemplate\";s:0:\"\";s:9:\"htmlcache\";s:0:\"\";s:5:\"width\";i:-2;s:6:\"height\";i:-2;s:6:\"weight\";i:1;s:3:\"seq\";i:0;s:6:\"target\";s:0:\"\";s:3:\"url\";s:0:\"\";s:3:\"alt\";s:0:\"\";s:10:\"statustext\";s:0:\"\";s:10:\"bannertext\";s:0:\"\";s:11:\"description\";s:17:\"overlay_video_ad1\";s:8:\"adserver\";s:0:\"\";s:5:\"block\";i:0;s:7:\"capping\";i:0;s:15:\"session_capping\";i:0;s:18:\"compiledlimitation\";s:4:\"null\";s:11:\"acl_plugins\";s:4:\"null\";s:6:\"append\";s:4:\"null\";s:10:\"bannertype\";i:0;s:12:\"alt_filename\";s:0:\"\";s:12:\"alt_imageurl\";s:0:\"\";s:15:\"alt_contenttype\";s:0:\"\";s:8:\"comments\";s:0:\"\";s:7:\"updated\";s:19:\"2014-04-23 05:09:22\";s:12:\"acls_updated\";s:4:\"null\";s:7:\"keyword\";s:0:\"\";s:11:\"transparent\";s:4:\"null\";s:10:\"parameters\";s:848:\"a:21:{s:22:\"banner_vast_element_id\";s:22:\"banner_vast_element_id\";s:17:\"vast_element_type\";s:9:\"singlerow\";s:13:\"vast_video_id\";N;s:19:\"vast_video_duration\";s:1:\"1\";s:19:\"vast_video_delivery\";s:9:\"streaming\";s:15:\"vast_video_type\";s:11:\"video/x-flv\";s:18:\"vast_video_bitrate\";s:3:\"400\";s:17:\"vast_video_height\";s:3:\"480\";s:16:\"vast_video_width\";s:3:\"640\";s:28:\"vast_video_outgoing_filename\";s:19:\"http://1111.flv:aaa\";s:27:\"vast_video_clickthrough_url\";s:7:\"http://\";s:19:\"vast_overlay_height\";N;s:18:\"vast_overlay_width\";N;s:23:\"vast_overlay_text_title\";s:0:\"\";s:29:\"vast_overlay_text_description\";s:0:\"\";s:22:\"vast_overlay_text_call\";s:0:\"\";s:19:\"vast_overlay_format\";s:11:\"swf_overlay\";s:19:\"vast_overlay_action\";s:14:\"click_to_video\";s:24:\"vast_companion_banner_id\";s:1:\"0\";s:18:\"vast_creative_type\";N;s:26:\"vast_thirdparty_impression\";s:0:\"\";}\";s:12:\"an_banner_id\";i:0;s:12:\"as_banner_id\";i:0;s:6:\"status\";i:0;s:16:\"ad_direct_status\";i:0;s:29:\"ad_direct_rejection_reason_id\";i:0;s:14:\"ext_bannertype\";s:56:\"bannerTypeHtml:vastOverlayBannerTypeHtml:vastOverlayHtml\";s:7:\"prepend\";s:4:\"null\";s:8:\"key_desc\";s:17:\"overlay_video_ad1\";}', '1', 'ox_demo', '0', '2014-04-23 05:09:22', '2', '3', null);
INSERT INTO `rv_audit` VALUES ('207', '1', 'ad_zone_assoc', '1', null, 'a:8:{s:16:\"ad_zone_assoc_id\";i:1;s:7:\"zone_id\";i:0;s:5:\"ad_id\";i:1;s:8:\"priority\";i:0;s:9:\"link_type\";i:0;s:15:\"priority_factor\";i:1;s:15:\"to_be_delivered\";s:4:\"null\";s:8:\"key_desc\";s:16:\"Ad #1 -> Zone #0\";}', '1', 'ox_demo', '0', '2014-04-23 05:09:22', '2', '3', null);
INSERT INTO `rv_audit` VALUES ('208', '2', 'users', '1', null, 'a:2:{s:15:\"date_last_login\";a:2:{s:3:\"was\";s:19:\"2014-04-23 05:06:55\";s:2:\"is\";s:19:\"2014-04-24 02:07:14\";}s:8:\"key_desc\";N;}', '0', null, '0', '2014-04-24 02:07:14', '1', null, null);
INSERT INTO `rv_audit` VALUES ('209', '2', 'users', '1', null, 'a:2:{s:15:\"date_last_login\";a:2:{s:3:\"was\";s:19:\"2014-04-24 02:07:14\";s:2:\"is\";s:19:\"2014-04-24 05:33:58\";}s:8:\"key_desc\";N;}', '0', null, '0', '2014-04-24 05:33:58', '1', null, null);
INSERT INTO `rv_audit` VALUES ('210', '2', 'users', '1', null, 'a:2:{s:15:\"date_last_login\";a:2:{s:3:\"was\";s:19:\"2014-04-24 05:33:58\";s:2:\"is\";s:19:\"2014-04-24 07:23:39\";}s:8:\"key_desc\";N;}', '0', null, '0', '2014-04-24 07:23:39', '1', null, null);
INSERT INTO `rv_audit` VALUES ('211', '1', 'accounts', '4', null, 'a:4:{s:10:\"account_id\";i:4;s:12:\"account_type\";s:10:\"TRAFFICKER\";s:12:\"account_name\";s:4:\"a.cn\";s:8:\"key_desc\";s:4:\"a.cn\";}', '1', 'ox_demo', '0', '2014-04-24 07:23:57', '1', null, '4');
INSERT INTO `rv_audit` VALUES ('212', '1', 'affiliates', '1', null, 'a:16:{s:11:\"affiliateid\";i:1;s:8:\"agencyid\";i:1;s:4:\"name\";s:4:\"a.cn\";s:8:\"mnemonic\";s:4:\"null\";s:8:\"comments\";s:0:\"\";s:7:\"contact\";s:12:\"010-86095126\";s:5:\"email\";s:16:\"eylf_007@126.com\";s:7:\"website\";s:11:\"http://a.cn\";s:7:\"updated\";s:19:\"2014-04-24 07:23:57\";s:13:\"an_website_id\";i:0;s:16:\"oac_country_code\";s:4:\"null\";s:15:\"oac_language_id\";i:0;s:15:\"oac_category_id\";i:0;s:13:\"as_website_id\";i:0;s:10:\"account_id\";i:4;s:8:\"key_desc\";s:4:\"a.cn\";}', '1', 'ox_demo', '0', '2014-04-24 07:23:57', '2', null, '4');
INSERT INTO `rv_audit` VALUES ('213', '1', 'zones', '1', null, 'a:35:{s:6:\"zoneid\";i:1;s:11:\"affiliateid\";i:1;s:8:\"zonename\";s:19:\"a.cn - Default Zone\";s:11:\"description\";s:0:\"\";s:8:\"delivery\";i:7;s:8:\"zonetype\";i:3;s:8:\"category\";s:0:\"\";s:5:\"width\";i:-2;s:6:\"height\";i:-2;s:12:\"ad_selection\";s:0:\"\";s:5:\"chain\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:10:\"appendtype\";i:0;s:11:\"forceappend\";s:4:\"null\";s:23:\"inventory_forecast_type\";i:0;s:8:\"comments\";s:26:\"this is a Overlay Video ad\";s:4:\"cost\";i:0;s:9:\"cost_type\";i:0;s:16:\"cost_variable_id\";s:4:\"null\";s:15:\"technology_cost\";i:0;s:20:\"technology_cost_type\";i:0;s:7:\"updated\";s:19:\"2014-04-24 07:29:45\";s:5:\"block\";i:0;s:7:\"capping\";i:0;s:15:\"session_capping\";i:0;s:21:\"show_capped_no_cookie\";i:0;s:4:\"what\";s:4:\"null\";s:10:\"as_zone_id\";i:0;s:15:\"is_in_ad_direct\";s:4:\"null\";s:4:\"rate\";i:0;s:7:\"pricing\";s:4:\"null\";s:15:\"oac_category_id\";i:0;s:15:\"ext_adselection\";s:4:\"null\";s:8:\"key_desc\";s:19:\"a.cn - Default Zone\";}', '1', 'ox_demo', '0', '2014-04-24 07:29:45', '2', null, '4');
INSERT INTO `rv_audit` VALUES ('214', '1', 'placement_zone_assoc', '1', null, 'a:4:{s:23:\"placement_zone_assoc_id\";i:1;s:7:\"zone_id\";i:1;s:12:\"placement_id\";i:1;s:8:\"key_desc\";s:22:\"Campaign #1 -> Zone #1\";}', '1', 'ox_demo', '0', '2014-04-24 07:32:07', '2', '3', '4');
INSERT INTO `rv_audit` VALUES ('215', '1', 'ad_zone_assoc', '2', null, 'a:8:{s:16:\"ad_zone_assoc_id\";i:2;s:7:\"zone_id\";i:1;s:5:\"ad_id\";i:1;s:8:\"priority\";i:0;s:9:\"link_type\";i:0;s:15:\"priority_factor\";i:1;s:15:\"to_be_delivered\";s:4:\"null\";s:8:\"key_desc\";s:16:\"Ad #1 -> Zone #1\";}', '1', 'ox_demo', '0', '2014-04-24 07:32:07', '2', '3', '4');
INSERT INTO `rv_audit` VALUES ('216', '1', 'channel', '1', null, 'a:12:{s:9:\"channelid\";i:1;s:8:\"agencyid\";i:1;s:11:\"affiliateid\";i:1;s:4:\"name\";s:4:\"baby\";s:11:\"description\";s:8:\"baby_111\";s:18:\"compiledlimitation\";s:4:\"true\";s:11:\"acl_plugins\";s:4:\"true\";s:6:\"active\";i:1;s:8:\"comments\";s:30:\"comment baby Targeting Channel\";s:7:\"updated\";s:4:\"null\";s:12:\"acls_updated\";s:4:\"null\";s:8:\"key_desc\";s:4:\"baby\";}', '1', 'ox_demo', '0', '2014-04-24 07:36:05', '2', null, '4');
INSERT INTO `rv_audit` VALUES ('217', '2', 'users', '1', null, 'a:2:{s:15:\"date_last_login\";a:2:{s:3:\"was\";s:19:\"2014-04-24 07:23:39\";s:2:\"is\";s:19:\"2014-04-24 09:26:24\";}s:8:\"key_desc\";N;}', '0', null, '0', '2014-04-24 09:26:24', '1', null, null);

-- ----------------------------
-- Table structure for `rv_banners`
-- ----------------------------
DROP TABLE IF EXISTS `rv_banners`;
CREATE TABLE `rv_banners` (
  `bannerid` int(11) NOT NULL AUTO_INCREMENT,
  `campaignid` int(11) NOT NULL DEFAULT '0',
  `adgroupid` int(11) NOT NULL,
  `bannergroup` varchar(200) NOT NULL,
  `bannercategory` varchar(200) NOT NULL,
  `bannertype` int(2) NOT NULL DEFAULT '0',
  `bannersubtype` int(2) NOT NULL,
  `deliverymethod` int(2) DEFAULT NULL,
  `rmptserverurl` varchar(1000) DEFAULT NULL,
  `videofile` varchar(200) DEFAULT NULL,
  `videourl` varchar(1000) DEFAULT NULL,
  `videofiletype` int(2) DEFAULT NULL,
  `duration` int(11) DEFAULT NULL,
  `revenue` decimal(11,4) NOT NULL DEFAULT '0.0000',
  `clickurl` varchar(200) DEFAULT NULL,
  `viewurl` varchar(200) DEFAULT NULL,
  `landingurl` varchar(200) DEFAULT NULL,
  `trackingurl` varchar(200) DEFAULT NULL,
  `overlaytype` int(2) DEFAULT NULL,
  `overlayimage` varchar(200) DEFAULT NULL,
  `overlayswf` varchar(200) DEFAULT NULL,
  `overlaytxttitle` varchar(200) DEFAULT NULL,
  `overlaytxtdescription` varchar(200) DEFAULT NULL,
  `calltoaction` varchar(200) DEFAULT NULL,
  `overlayhtml` varchar(200) DEFAULT NULL,
  `overlayclickaction` int(2) DEFAULT NULL,
  `contenttype` varchar(50) NOT NULL DEFAULT 'gif',
  `pluginversion` int(11) NOT NULL DEFAULT '0',
  `storagetype` varchar(50) NOT NULL DEFAULT 'sql',
  `filename` varchar(255) NOT NULL DEFAULT '',
  `imageurl` varchar(255) NOT NULL DEFAULT '',
  `htmltemplate` text NOT NULL,
  `htmlcache` text NOT NULL,
  `width` int(11) NOT NULL DEFAULT '0',
  `height` int(11) NOT NULL DEFAULT '0',
  `weight` int(11) NOT NULL DEFAULT '1',
  `seq` int(11) NOT NULL DEFAULT '0',
  `target` varchar(50) NOT NULL DEFAULT '',
  `url` text NOT NULL,
  `alt` varchar(255) NOT NULL DEFAULT '',
  `statustext` varchar(255) NOT NULL DEFAULT '',
  `bannertext` text NOT NULL,
  `description` varchar(255) NOT NULL DEFAULT '',
  `adserver` varchar(255) NOT NULL DEFAULT '',
  `block` int(11) NOT NULL DEFAULT '0',
  `capping` int(11) NOT NULL DEFAULT '0',
  `session_capping` int(11) NOT NULL DEFAULT '0',
  `compiledlimitation` text NOT NULL,
  `acl_plugins` text,
  `append` text NOT NULL,
  `alt_filename` varchar(255) NOT NULL DEFAULT '',
  `alt_imageurl` varchar(255) NOT NULL DEFAULT '',
  `alt_contenttype` varchar(255) NOT NULL DEFAULT 'gif',
  `comments` varchar(1000) DEFAULT NULL,
  `updated` datetime NOT NULL,
  `acls_updated` datetime NOT NULL,
  `keyword` varchar(255) NOT NULL DEFAULT '',
  `transparent` int(4) NOT NULL DEFAULT '0',
  `parameters` text,
  `an_banner_id` int(11) DEFAULT NULL,
  `as_banner_id` int(11) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `ad_direct_status` int(11) NOT NULL DEFAULT '0',
  `ad_direct_rejection_reason_id` int(4) NOT NULL DEFAULT '0',
  `ext_bannertype` varchar(255) DEFAULT NULL,
  `prepend` text NOT NULL,
  PRIMARY KEY (`bannerid`),
  KEY `rv_banners_campaignid` (`campaignid`),
  KEY `rv_banners_adgroupid` (`adgroupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_banners
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_banner_vast_element`
-- ----------------------------
DROP TABLE IF EXISTS `rv_banner_vast_element`;
CREATE TABLE `rv_banner_vast_element` (
  `banner_vast_element_id` int(11) NOT NULL AUTO_INCREMENT,
  `banner_id` int(11) NOT NULL,
  `vast_element_type` varchar(20) NOT NULL DEFAULT '',
  `vast_video_id` varchar(255) DEFAULT NULL,
  `vast_video_duration` int(11) DEFAULT NULL,
  `vast_video_delivery` varchar(20) DEFAULT NULL,
  `vast_video_type` varchar(20) DEFAULT NULL,
  `vast_video_bitrate` varchar(20) DEFAULT NULL,
  `vast_video_height` int(11) DEFAULT NULL,
  `vast_video_width` int(11) DEFAULT NULL,
  `vast_video_outgoing_filename` text,
  `vast_companion_banner_id` int(11) DEFAULT NULL,
  `vast_overlay_height` int(11) DEFAULT NULL,
  `vast_overlay_width` int(11) DEFAULT NULL,
  `vast_video_clickthrough_url` text,
  `vast_overlay_action` varchar(20) DEFAULT NULL,
  `vast_overlay_format` varchar(20) DEFAULT NULL,
  `vast_overlay_text_title` text,
  `vast_overlay_text_description` text,
  `vast_overlay_text_call` text,
  `vast_creative_type` varchar(20) DEFAULT NULL,
  `vast_thirdparty_impression` text,
  KEY `rv_banner_vast_element_banner_vast_banner_vast_element_id` (`banner_vast_element_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_banner_vast_element
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_campaigngroups`
-- ----------------------------
DROP TABLE IF EXISTS `rv_campaigngroups`;
CREATE TABLE `rv_campaigngroups` (
  `campaigngroupid` int(11) NOT NULL AUTO_INCREMENT,
  `campaigngroupname` varchar(255) NOT NULL,
  `clientid` int(11) NOT NULL,
  `budget` decimal(18,4) NOT NULL,
  `contractno` varchar(255) NOT NULL,
  `updated` datetime NOT NULL,
  `status` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`campaigngroupid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_campaigngroups
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_campaigns`
-- ----------------------------
DROP TABLE IF EXISTS `rv_campaigns`;
CREATE TABLE `rv_campaigns` (
  `campaignid` int(11) NOT NULL AUTO_INCREMENT,
  `campaignname` varchar(255) NOT NULL DEFAULT '',
  `campaigntype` int(2) NOT NULL,
  `clientid` int(11) NOT NULL DEFAULT '0',
  `views` int(11) DEFAULT '-1',
  `clicks` int(11) DEFAULT '-1',
  `conversions` int(11) DEFAULT '-1',
  `priority` int(11) NOT NULL DEFAULT '0',
  `weight` int(4) NOT NULL DEFAULT '1',
  `target_impression` int(11) NOT NULL DEFAULT '0',
  `target_click` int(11) NOT NULL DEFAULT '0',
  `target_conversion` int(11) NOT NULL DEFAULT '0',
  `period_schedule` varchar(20) DEFAULT NULL,
  `schedule_impression` int(11) DEFAULT NULL,
  `schedule_click` int(11) DEFAULT NULL,
  `period_actual` varchar(20) DEFAULT NULL,
  `actual_impression` int(11) DEFAULT NULL,
  `actual_click` int(11) DEFAULT NULL,
  `anonymous` varchar(255) NOT NULL DEFAULT 'f',
  `companion` int(2) DEFAULT '0',
  `comments` varchar(1000) DEFAULT NULL,
  `totalbudget` decimal(10,4) DEFAULT NULL,
  `dailybudget` decimal(10,4) DEFAULT NULL,
  `revenue` decimal(10,4) DEFAULT NULL,
  `revenue_type` int(4) DEFAULT NULL,
  `updated` datetime NOT NULL,
  `block` int(11) NOT NULL DEFAULT '0',
  `capping` int(11) NOT NULL DEFAULT '0',
  `session_capping` int(11) NOT NULL DEFAULT '0',
  `an_campaign_id` int(11) DEFAULT NULL,
  `as_campaign_id` int(11) DEFAULT NULL,
  `status` int(11) NOT NULL DEFAULT '0',
  `an_status` int(11) NOT NULL DEFAULT '0',
  `as_reject_reason` int(11) NOT NULL DEFAULT '0',
  `hosted_views` int(11) NOT NULL DEFAULT '0',
  `hosted_clicks` int(11) NOT NULL DEFAULT '0',
  `viewwindow` int(11) NOT NULL DEFAULT '0',
  `clickwindow` int(11) NOT NULL DEFAULT '0',
  `ecpm` decimal(10,4) DEFAULT NULL,
  `min_impressions` int(11) NOT NULL DEFAULT '0',
  `ecpm_enabled` int(4) NOT NULL DEFAULT '0',
  `activate_time` datetime DEFAULT NULL,
  `expire_time` datetime DEFAULT NULL,
  `type` int(4) NOT NULL DEFAULT '0',
  `show_capped_no_cookie` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`campaignid`),
  KEY `rv_campaigns_clientid` (`clientid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_campaigns
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_campaigns_trackers`
-- ----------------------------
DROP TABLE IF EXISTS `rv_campaigns_trackers`;
CREATE TABLE `rv_campaigns_trackers` (
  `campaign_trackerid` int(11) NOT NULL AUTO_INCREMENT,
  `campaignid` int(11) NOT NULL DEFAULT '0',
  `trackerid` int(11) NOT NULL DEFAULT '0',
  `status` int(2) unsigned NOT NULL DEFAULT '4',
  PRIMARY KEY (`campaign_trackerid`),
  KEY `rv_campaigns_trackers_campaignid` (`campaignid`),
  KEY `rv_campaigns_trackers_trackerid` (`trackerid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_campaigns_trackers
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_category`
-- ----------------------------
DROP TABLE IF EXISTS `rv_category`;
CREATE TABLE `rv_category` (
  `category_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(255) DEFAULT NULL,
  PRIMARY KEY (`category_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_category
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_channels`
-- ----------------------------
DROP TABLE IF EXISTS `rv_channels`;
CREATE TABLE `rv_channels` (
  `channelid` int(11) NOT NULL AUTO_INCREMENT,
  `agencyid` int(11) NOT NULL DEFAULT '0',
  `affiliateid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(255) DEFAULT NULL,
  `description` varchar(255) DEFAULT NULL,
  `compiledlimitation` text NOT NULL,
  `acl_plugins` text,
  `active` int(4) DEFAULT NULL,
  `comments` varchar(1000) DEFAULT NULL,
  `updated` datetime NOT NULL,
  `created` datetime NOT NULL,
  `acls_updated` datetime NOT NULL,
  PRIMARY KEY (`channelid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_channels
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_clients`
-- ----------------------------
DROP TABLE IF EXISTS `rv_clients`;
CREATE TABLE `rv_clients` (
  `clientid` int(11) NOT NULL AUTO_INCREMENT,
  `agencyid` int(11) NOT NULL DEFAULT '0',
  `clientname` varchar(255) NOT NULL DEFAULT '',
  `contact` varchar(255) DEFAULT NULL,
  `email` varchar(64) NOT NULL DEFAULT '',
  `report` varchar(20) NOT NULL DEFAULT 't',
  `reportinterval` int(11) NOT NULL DEFAULT '7',
  `reportlastdate` date NOT NULL,
  `reportdeactivate` varchar(20) NOT NULL DEFAULT 't',
  `comments` varchar(1000) DEFAULT NULL,
  `updated` datetime NOT NULL,
  `an_adnetwork_id` int(11) DEFAULT NULL,
  `as_advertiser_id` int(11) DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  `advertiser_limitation` int(4) NOT NULL DEFAULT '0',
  `type` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`clientid`),
  UNIQUE KEY `rv_clients_account_id` (`account_id`),
  KEY `rv_clients_agencyid_type` (`agencyid`,`type`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_clients
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_database_action`
-- ----------------------------
DROP TABLE IF EXISTS `rv_database_action`;
CREATE TABLE `rv_database_action` (
  `database_action_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `upgrade_action_id` int(11) unsigned DEFAULT '0',
  `schema_name` varchar(64) DEFAULT NULL,
  `version` int(11) NOT NULL,
  `timing` int(2) NOT NULL,
  `action` int(2) NOT NULL,
  `info1` varchar(255) DEFAULT NULL,
  `info2` varchar(255) DEFAULT NULL,
  `tablename` varchar(64) DEFAULT NULL,
  `tablename_backup` varchar(64) DEFAULT NULL,
  `table_backup_schema` text,
  `updated` datetime DEFAULT NULL,
  PRIMARY KEY (`database_action_id`),
  KEY `rv_database_action_upgrade_action_id` (`upgrade_action_id`,`database_action_id`),
  KEY `rv_database_action_schema_version_timing_action` (`schema_name`,`version`,`timing`,`action`),
  KEY `rv_database_action_updated` (`updated`)
) ENGINE=MyISAM AUTO_INCREMENT=9 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_database_action
-- ----------------------------
INSERT INTO `rv_database_action` VALUES ('1', '24', 'oxDeliveryDataPrepare', '2', '0', '59', 'CREATE SUCCEEDED', null, 'data_bkt_c', null, null, '2014-04-23 03:15:25');
INSERT INTO `rv_database_action` VALUES ('2', '24', 'oxDeliveryDataPrepare', '2', '0', '59', 'CREATE SUCCEEDED', null, 'data_bkt_m', null, null, '2014-04-23 03:15:25');
INSERT INTO `rv_database_action` VALUES ('3', '24', 'oxDeliveryDataPrepare', '2', '0', '59', 'CREATE SUCCEEDED', null, 'data_bkt_r', null, null, '2014-04-23 03:15:25');
INSERT INTO `rv_database_action` VALUES ('4', '24', 'oxDeliveryDataPrepare', '2', '0', '59', 'CREATE SUCCEEDED', null, 'data_bkt_a', null, null, '2014-04-23 03:15:25');
INSERT INTO `rv_database_action` VALUES ('5', '24', 'oxDeliveryDataPrepare', '2', '0', '59', 'CREATE SUCCEEDED', null, 'data_bkt_a_var', null, null, '2014-04-23 03:15:25');
INSERT INTO `rv_database_action` VALUES ('6', '30', 'vastbannertypehtml', '13', '0', '59', 'CREATE SUCCEEDED', null, 'banner_vast_element', null, null, '2014-04-23 03:15:31');
INSERT INTO `rv_database_action` VALUES ('7', '30', 'vastbannertypehtml', '13', '0', '59', 'CREATE SUCCEEDED', null, 'data_bkt_vast_e', null, null, '2014-04-23 03:15:31');
INSERT INTO `rv_database_action` VALUES ('8', '30', 'vastbannertypehtml', '13', '0', '59', 'CREATE SUCCEEDED', null, 'stats_vast', null, null, '2014-04-23 03:15:31');

-- ----------------------------
-- Table structure for `rv_data_bkt_a`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_bkt_a`;
CREATE TABLE `rv_data_bkt_a` (
  `server_conv_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `server_ip` varchar(16) NOT NULL DEFAULT '',
  `tracker_id` int(11) NOT NULL,
  `date_time` datetime NOT NULL,
  `action_date_time` datetime NOT NULL,
  `creative_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `ip_address` varchar(16) NOT NULL DEFAULT '',
  `action` int(11) DEFAULT NULL,
  `window` int(11) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  PRIMARY KEY (`server_conv_id`,`server_ip`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_bkt_a
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_bkt_a_var`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_bkt_a_var`;
CREATE TABLE `rv_data_bkt_a_var` (
  `server_conv_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `server_ip` varchar(16) NOT NULL DEFAULT '',
  `tracker_variable_id` int(11) NOT NULL,
  `value` text,
  `date_time` datetime NOT NULL,
  PRIMARY KEY (`server_conv_id`,`server_ip`,`tracker_variable_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_bkt_a_var
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_bkt_c`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_bkt_c`;
CREATE TABLE `rv_data_bkt_c` (
  `interval_start` datetime NOT NULL,
  `creative_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`interval_start`,`creative_id`,`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_bkt_c
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_bkt_m`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_bkt_m`;
CREATE TABLE `rv_data_bkt_m` (
  `interval_start` datetime NOT NULL,
  `creative_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`interval_start`,`creative_id`,`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_bkt_m
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_bkt_r`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_bkt_r`;
CREATE TABLE `rv_data_bkt_r` (
  `interval_start` datetime NOT NULL,
  `creative_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`interval_start`,`creative_id`,`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_bkt_r
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_bkt_vast_e`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_bkt_vast_e`;
CREATE TABLE `rv_data_bkt_vast_e` (
  `interval_start` datetime NOT NULL,
  `creative_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `vast_event_id` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`interval_start`,`creative_id`,`zone_id`,`vast_event_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_bkt_vast_e
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_intermediate_ad`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_intermediate_ad`;
CREATE TABLE `rv_data_intermediate_ad` (
  `data_intermediate_ad_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `date_time` datetime NOT NULL,
  `operation_interval` int(11) unsigned NOT NULL,
  `operation_interval_id` int(11) unsigned NOT NULL,
  `interval_start` datetime NOT NULL,
  `interval_end` datetime NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `creative_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `requests` int(11) unsigned NOT NULL DEFAULT '0',
  `impressions` int(11) unsigned NOT NULL DEFAULT '0',
  `clicks` int(11) unsigned NOT NULL DEFAULT '0',
  `conversions` int(11) unsigned NOT NULL DEFAULT '0',
  `total_basket_value` decimal(10,4) NOT NULL DEFAULT '0.0000',
  `total_num_items` int(11) NOT NULL DEFAULT '0',
  `updated` datetime NOT NULL,
  PRIMARY KEY (`data_intermediate_ad_id`),
  KEY `rv_data_intermediate_ad_ad_id_date_time` (`ad_id`,`date_time`),
  KEY `rv_data_intermediate_ad_zone_id_date_time` (`zone_id`,`date_time`),
  KEY `rv_data_intermediate_ad_date_time` (`date_time`),
  KEY `rv_data_intermediate_ad_interval_start` (`interval_start`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_intermediate_ad
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_intermediate_ad_connection`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_intermediate_ad_connection`;
CREATE TABLE `rv_data_intermediate_ad_connection` (
  `data_intermediate_ad_connection_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `server_raw_ip` varchar(16) NOT NULL DEFAULT '',
  `server_raw_tracker_impression_id` bigint(20) NOT NULL,
  `viewer_id` varchar(32) DEFAULT NULL,
  `viewer_session_id` varchar(32) DEFAULT NULL,
  `tracker_date_time` datetime NOT NULL,
  `connection_date_time` datetime DEFAULT NULL,
  `tracker_id` int(11) unsigned NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `creative_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `tracker_channel` varchar(255) DEFAULT NULL,
  `connection_channel` varchar(255) DEFAULT NULL,
  `tracker_channel_ids` varchar(64) DEFAULT NULL,
  `connection_channel_ids` varchar(64) DEFAULT NULL,
  `tracker_language` varchar(13) DEFAULT NULL,
  `connection_language` varchar(13) DEFAULT NULL,
  `tracker_ip_address` varchar(16) DEFAULT NULL,
  `connection_ip_address` varchar(16) DEFAULT NULL,
  `tracker_host_name` varchar(255) DEFAULT NULL,
  `connection_host_name` varchar(255) DEFAULT NULL,
  `tracker_country` char(2) DEFAULT NULL,
  `connection_country` char(2) DEFAULT NULL,
  `tracker_https` int(11) unsigned DEFAULT NULL,
  `connection_https` int(11) unsigned DEFAULT NULL,
  `tracker_domain` varchar(255) DEFAULT NULL,
  `connection_domain` varchar(255) DEFAULT NULL,
  `tracker_page` varchar(255) DEFAULT NULL,
  `connection_page` varchar(255) DEFAULT NULL,
  `tracker_query` varchar(255) DEFAULT NULL,
  `connection_query` varchar(255) DEFAULT NULL,
  `tracker_referer` varchar(255) DEFAULT NULL,
  `connection_referer` varchar(255) DEFAULT NULL,
  `tracker_search_term` varchar(255) DEFAULT NULL,
  `connection_search_term` varchar(255) DEFAULT NULL,
  `tracker_user_agent` varchar(255) DEFAULT NULL,
  `connection_user_agent` varchar(255) DEFAULT NULL,
  `tracker_os` varchar(32) DEFAULT NULL,
  `connection_os` varchar(32) DEFAULT NULL,
  `tracker_browser` varchar(32) DEFAULT NULL,
  `connection_browser` varchar(32) DEFAULT NULL,
  `connection_action` int(11) unsigned DEFAULT NULL,
  `connection_window` int(11) unsigned DEFAULT NULL,
  `connection_status` int(11) unsigned NOT NULL DEFAULT '4',
  `inside_window` tinyint(1) NOT NULL DEFAULT '0',
  `comments` text,
  `updated` datetime NOT NULL,
  PRIMARY KEY (`data_intermediate_ad_connection_id`),
  KEY `rv_data_intermediate_ad_connection_tracker_date_time` (`tracker_date_time`),
  KEY `rv_data_intermediate_ad_connection_tracker_id` (`tracker_id`),
  KEY `rv_data_intermediate_ad_connection_ad_id` (`ad_id`),
  KEY `rv_data_intermediate_ad_connection_zone_id` (`zone_id`),
  KEY `rv_data_intermediate_ad_connection_viewer_id` (`viewer_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_intermediate_ad_connection
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_intermediate_ad_variable_value`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_intermediate_ad_variable_value`;
CREATE TABLE `rv_data_intermediate_ad_variable_value` (
  `data_intermediate_ad_variable_value_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `data_intermediate_ad_connection_id` bigint(20) NOT NULL,
  `tracker_variable_id` int(11) NOT NULL,
  `value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`data_intermediate_ad_variable_value_id`),
  KEY `rv_data_intermediate_ad_variable_value_data_intermediate_ad_con` (`data_intermediate_ad_connection_id`),
  KEY `rv_data_intermediate_ad_variable_value_tracker_variable_id` (`tracker_variable_id`),
  KEY `rv_data_intermediate_ad_variable_value_tracker_value` (`value`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_intermediate_ad_variable_value
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_raw_ad_click`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_raw_ad_click`;
CREATE TABLE `rv_data_raw_ad_click` (
  `viewer_id` varchar(32) DEFAULT NULL,
  `viewer_session_id` varchar(32) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `creative_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `channel` varchar(255) DEFAULT NULL,
  `channel_ids` varchar(64) DEFAULT NULL,
  `language` varchar(32) DEFAULT NULL,
  `ip_address` varchar(16) DEFAULT NULL,
  `host_name` varchar(255) DEFAULT NULL,
  `country` char(2) DEFAULT NULL,
  `https` tinyint(1) DEFAULT NULL,
  `domain` varchar(255) DEFAULT NULL,
  `page` varchar(255) DEFAULT NULL,
  `query` varchar(255) DEFAULT NULL,
  `referer` varchar(255) DEFAULT NULL,
  `search_term` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  `os` varchar(32) DEFAULT NULL,
  `browser` varchar(32) DEFAULT NULL,
  `max_https` tinyint(1) DEFAULT NULL,
  `geo_region` varchar(50) DEFAULT NULL,
  `geo_city` varchar(50) DEFAULT NULL,
  `geo_postal_code` varchar(10) DEFAULT NULL,
  `geo_latitude` decimal(8,4) DEFAULT NULL,
  `geo_longitude` decimal(8,4) DEFAULT NULL,
  `geo_dma_code` varchar(50) DEFAULT NULL,
  `geo_area_code` varchar(50) DEFAULT NULL,
  `geo_organisation` varchar(50) DEFAULT NULL,
  `geo_netspeed` varchar(20) DEFAULT NULL,
  `geo_continent` varchar(13) DEFAULT NULL,
  KEY `rv_data_raw_ad_click_viewer_id` (`viewer_id`),
  KEY `rv_data_raw_ad_click_date_time` (`date_time`),
  KEY `rv_data_raw_ad_click_ad_id` (`ad_id`),
  KEY `rv_data_raw_ad_click_zone_id` (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_raw_ad_click
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_raw_ad_impression`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_raw_ad_impression`;
CREATE TABLE `rv_data_raw_ad_impression` (
  `viewer_id` varchar(32) DEFAULT NULL,
  `viewer_session_id` varchar(32) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `creative_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `channel` varchar(255) DEFAULT NULL,
  `channel_ids` varchar(64) DEFAULT NULL,
  `language` varchar(32) DEFAULT NULL,
  `ip_address` varchar(16) DEFAULT NULL,
  `host_name` varchar(255) DEFAULT NULL,
  `country` char(2) DEFAULT NULL,
  `https` tinyint(1) DEFAULT NULL,
  `domain` varchar(255) DEFAULT NULL,
  `page` varchar(255) DEFAULT NULL,
  `query` varchar(255) DEFAULT NULL,
  `referer` varchar(255) DEFAULT NULL,
  `search_term` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  `os` varchar(32) DEFAULT NULL,
  `browser` varchar(32) DEFAULT NULL,
  `max_https` tinyint(1) DEFAULT NULL,
  `geo_region` varchar(50) DEFAULT NULL,
  `geo_city` varchar(50) DEFAULT NULL,
  `geo_postal_code` varchar(10) DEFAULT NULL,
  `geo_latitude` decimal(8,4) DEFAULT NULL,
  `geo_longitude` decimal(8,4) DEFAULT NULL,
  `geo_dma_code` varchar(50) DEFAULT NULL,
  `geo_area_code` varchar(50) DEFAULT NULL,
  `geo_organisation` varchar(50) DEFAULT NULL,
  `geo_netspeed` varchar(20) DEFAULT NULL,
  `geo_continent` varchar(13) DEFAULT NULL,
  KEY `rv_data_raw_ad_impression_viewer_id` (`viewer_id`),
  KEY `rv_data_raw_ad_impression_date_time` (`date_time`),
  KEY `rv_data_raw_ad_impression_ad_id` (`ad_id`),
  KEY `rv_data_raw_ad_impression_zone_id` (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_raw_ad_impression
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_raw_ad_request`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_raw_ad_request`;
CREATE TABLE `rv_data_raw_ad_request` (
  `viewer_id` varchar(32) DEFAULT NULL,
  `viewer_session_id` varchar(32) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `creative_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `channel` varchar(255) DEFAULT NULL,
  `channel_ids` varchar(64) DEFAULT NULL,
  `language` varchar(32) DEFAULT NULL,
  `ip_address` varchar(16) DEFAULT NULL,
  `host_name` varchar(255) DEFAULT NULL,
  `https` tinyint(1) DEFAULT NULL,
  `domain` varchar(255) DEFAULT NULL,
  `page` varchar(255) DEFAULT NULL,
  `query` varchar(255) DEFAULT NULL,
  `referer` varchar(255) DEFAULT NULL,
  `search_term` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  `os` varchar(32) DEFAULT NULL,
  `browser` varchar(32) DEFAULT NULL,
  `max_https` tinyint(1) DEFAULT NULL,
  KEY `rv_data_raw_ad_request_viewer_id` (`viewer_id`),
  KEY `rv_data_raw_ad_request_date_time` (`date_time`),
  KEY `rv_data_raw_ad_request_ad_id` (`ad_id`),
  KEY `rv_data_raw_ad_request_zone_id` (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_raw_ad_request
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_raw_tracker_impression`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_raw_tracker_impression`;
CREATE TABLE `rv_data_raw_tracker_impression` (
  `server_raw_tracker_impression_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `server_raw_ip` varchar(16) NOT NULL DEFAULT '',
  `viewer_id` varchar(32) NOT NULL DEFAULT '',
  `viewer_session_id` varchar(32) DEFAULT NULL,
  `date_time` datetime NOT NULL,
  `tracker_id` int(11) unsigned NOT NULL,
  `channel` varchar(255) DEFAULT NULL,
  `channel_ids` varchar(64) DEFAULT NULL,
  `language` varchar(32) DEFAULT NULL,
  `ip_address` varchar(16) DEFAULT NULL,
  `host_name` varchar(255) DEFAULT NULL,
  `country` char(2) DEFAULT NULL,
  `https` int(11) unsigned DEFAULT NULL,
  `domain` varchar(255) DEFAULT NULL,
  `page` varchar(255) DEFAULT NULL,
  `query` varchar(255) DEFAULT NULL,
  `referer` varchar(255) DEFAULT NULL,
  `search_term` varchar(255) DEFAULT NULL,
  `user_agent` varchar(255) DEFAULT NULL,
  `os` varchar(32) DEFAULT NULL,
  `browser` varchar(32) DEFAULT NULL,
  `max_https` int(11) unsigned DEFAULT NULL,
  `geo_region` varchar(50) DEFAULT NULL,
  `geo_city` varchar(50) DEFAULT NULL,
  `geo_postal_code` varchar(10) DEFAULT NULL,
  `geo_latitude` decimal(8,4) DEFAULT NULL,
  `geo_longitude` decimal(8,4) DEFAULT NULL,
  `geo_dma_code` varchar(50) DEFAULT NULL,
  `geo_area_code` varchar(50) DEFAULT NULL,
  `geo_organisation` varchar(50) DEFAULT NULL,
  `geo_netspeed` varchar(20) DEFAULT NULL,
  `geo_continent` varchar(13) DEFAULT NULL,
  PRIMARY KEY (`server_raw_tracker_impression_id`,`server_raw_ip`),
  KEY `rv_data_raw_tracker_impression_viewer_id` (`viewer_id`),
  KEY `rv_data_raw_tracker_impression_date_time` (`date_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_raw_tracker_impression
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_raw_tracker_variable_value`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_raw_tracker_variable_value`;
CREATE TABLE `rv_data_raw_tracker_variable_value` (
  `server_raw_tracker_impression_id` bigint(20) NOT NULL,
  `server_raw_ip` varchar(16) NOT NULL DEFAULT '',
  `tracker_variable_id` int(11) NOT NULL,
  `date_time` datetime DEFAULT NULL,
  `value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`server_raw_tracker_impression_id`,`server_raw_ip`,`tracker_variable_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_raw_tracker_variable_value
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_summary_ad_hourly`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_summary_ad_hourly`;
CREATE TABLE `rv_data_summary_ad_hourly` (
  `data_summary_ad_hourly_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `date_time` datetime NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `creative_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `requests` int(11) unsigned NOT NULL DEFAULT '0',
  `impressions` int(11) unsigned NOT NULL DEFAULT '0',
  `clicks` int(11) unsigned NOT NULL DEFAULT '0',
  `conversions` int(11) unsigned NOT NULL DEFAULT '0',
  `total_basket_value` decimal(10,4) DEFAULT NULL,
  `total_num_items` int(11) DEFAULT NULL,
  `total_revenue` decimal(10,4) DEFAULT NULL,
  `total_cost` decimal(10,4) DEFAULT NULL,
  `total_techcost` decimal(10,4) DEFAULT NULL,
  `updated` datetime NOT NULL,
  PRIMARY KEY (`data_summary_ad_hourly_id`),
  KEY `rv_data_summary_ad_hourly_date_time` (`date_time`),
  KEY `rv_data_summary_ad_hourly_ad_id_date_time` (`ad_id`,`date_time`),
  KEY `rv_data_summary_ad_hourly_zone_id_date_time` (`zone_id`,`date_time`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_summary_ad_hourly
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_summary_ad_zone_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_summary_ad_zone_assoc`;
CREATE TABLE `rv_data_summary_ad_zone_assoc` (
  `data_summary_ad_zone_assoc_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `operation_interval` int(11) unsigned NOT NULL,
  `operation_interval_id` int(11) unsigned NOT NULL,
  `interval_start` datetime NOT NULL,
  `interval_end` datetime NOT NULL,
  `ad_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `required_impressions` int(11) unsigned NOT NULL,
  `requested_impressions` int(11) unsigned NOT NULL,
  `priority` double NOT NULL,
  `priority_factor` double DEFAULT NULL,
  `priority_factor_limited` smallint(6) NOT NULL DEFAULT '0',
  `past_zone_traffic_fraction` double DEFAULT NULL,
  `created` datetime NOT NULL,
  `created_by` int(11) unsigned NOT NULL,
  `expired` datetime DEFAULT NULL,
  `expired_by` int(11) unsigned DEFAULT NULL,
  `to_be_delivered` tinyint(1) NOT NULL DEFAULT '1',
  PRIMARY KEY (`data_summary_ad_zone_assoc_id`),
  KEY `rv_data_summary_ad_zone_assoc_interval_start` (`interval_start`),
  KEY `rv_data_summary_ad_zone_assoc_interval_end` (`interval_end`),
  KEY `rv_data_summary_ad_zone_assoc_ad_id` (`ad_id`),
  KEY `rv_data_summary_ad_zone_assoc_zone_id` (`zone_id`),
  KEY `rv_data_summary_ad_zone_assoc_expired` (`expired`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_summary_ad_zone_assoc
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_summary_channel_daily`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_summary_channel_daily`;
CREATE TABLE `rv_data_summary_channel_daily` (
  `data_summary_channel_daily_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `day` date NOT NULL,
  `channel_id` int(11) unsigned NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `forecast_impressions` int(11) unsigned NOT NULL DEFAULT '0',
  `actual_impressions` int(11) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`data_summary_channel_daily_id`),
  KEY `rv_data_summary_channel_daily_day` (`day`),
  KEY `rv_data_summary_channel_daily_channel_id` (`channel_id`),
  KEY `rv_data_summary_channel_daily_zone_id` (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_summary_channel_daily
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_data_summary_zone_impression_history`
-- ----------------------------
DROP TABLE IF EXISTS `rv_data_summary_zone_impression_history`;
CREATE TABLE `rv_data_summary_zone_impression_history` (
  `data_summary_zone_impression_history_id` bigint(20) NOT NULL AUTO_INCREMENT,
  `operation_interval` int(11) unsigned NOT NULL,
  `operation_interval_id` int(11) unsigned NOT NULL,
  `interval_start` datetime NOT NULL,
  `interval_end` datetime NOT NULL,
  `zone_id` int(11) unsigned NOT NULL,
  `forecast_impressions` int(11) unsigned DEFAULT NULL,
  `actual_impressions` int(11) unsigned DEFAULT NULL,
  `est` smallint(6) DEFAULT NULL,
  PRIMARY KEY (`data_summary_zone_impression_history_id`),
  KEY `rv_data_summary_zone_impression_history_operation_interval_id` (`operation_interval_id`),
  KEY `rv_data_summary_zone_impression_history_zone_id` (`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_data_summary_zone_impression_history
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_images`
-- ----------------------------
DROP TABLE IF EXISTS `rv_images`;
CREATE TABLE `rv_images` (
  `filename` varchar(128) NOT NULL DEFAULT '',
  `contents` longblob NOT NULL,
  `t_stamp` datetime DEFAULT NULL,
  PRIMARY KEY (`filename`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_images
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_log_maintenance_forecasting`
-- ----------------------------
DROP TABLE IF EXISTS `rv_log_maintenance_forecasting`;
CREATE TABLE `rv_log_maintenance_forecasting` (
  `log_maintenance_forecasting_id` int(11) NOT NULL AUTO_INCREMENT,
  `start_run` datetime NOT NULL,
  `end_run` datetime NOT NULL,
  `operation_interval` int(11) NOT NULL,
  `duration` int(11) NOT NULL,
  `updated_to` datetime DEFAULT NULL,
  PRIMARY KEY (`log_maintenance_forecasting_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_log_maintenance_forecasting
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_log_maintenance_priority`
-- ----------------------------
DROP TABLE IF EXISTS `rv_log_maintenance_priority`;
CREATE TABLE `rv_log_maintenance_priority` (
  `log_maintenance_priority_id` int(11) NOT NULL AUTO_INCREMENT,
  `start_run` datetime NOT NULL,
  `end_run` datetime NOT NULL,
  `operation_interval` int(11) NOT NULL,
  `duration` int(11) NOT NULL,
  `run_type` tinyint(3) unsigned NOT NULL,
  `updated_to` datetime DEFAULT NULL,
  PRIMARY KEY (`log_maintenance_priority_id`)
) ENGINE=MyISAM AUTO_INCREMENT=7 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_log_maintenance_priority
-- ----------------------------
INSERT INTO `rv_log_maintenance_priority` VALUES ('1', '2014-04-23 05:09:26', '2014-04-23 05:09:27', '60', '1', '1', null);
INSERT INTO `rv_log_maintenance_priority` VALUES ('2', '2014-04-23 05:09:27', '2014-04-23 05:09:27', '60', '0', '2', null);
INSERT INTO `rv_log_maintenance_priority` VALUES ('3', '2014-04-23 05:09:27', '2014-04-23 05:09:27', '60', '0', '2', null);
INSERT INTO `rv_log_maintenance_priority` VALUES ('4', '2014-04-24 07:32:10', '2014-04-24 07:32:11', '60', '1', '1', null);
INSERT INTO `rv_log_maintenance_priority` VALUES ('5', '2014-04-24 07:32:11', '2014-04-24 07:32:11', '60', '0', '2', null);
INSERT INTO `rv_log_maintenance_priority` VALUES ('6', '2014-04-24 07:32:11', '2014-04-24 07:32:11', '60', '0', '2', null);

-- ----------------------------
-- Table structure for `rv_log_maintenance_statistics`
-- ----------------------------
DROP TABLE IF EXISTS `rv_log_maintenance_statistics`;
CREATE TABLE `rv_log_maintenance_statistics` (
  `log_maintenance_statistics_id` int(11) NOT NULL AUTO_INCREMENT,
  `start_run` datetime NOT NULL,
  `end_run` datetime NOT NULL,
  `duration` int(11) NOT NULL,
  `adserver_run_type` int(2) DEFAULT NULL,
  `search_run_type` int(2) DEFAULT NULL,
  `tracker_run_type` int(2) DEFAULT NULL,
  `updated_to` datetime DEFAULT NULL,
  PRIMARY KEY (`log_maintenance_statistics_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_log_maintenance_statistics
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_password_recovery`
-- ----------------------------
DROP TABLE IF EXISTS `rv_password_recovery`;
CREATE TABLE `rv_password_recovery` (
  `user_type` varchar(64) NOT NULL DEFAULT '',
  `user_id` int(11) NOT NULL,
  `recovery_id` varchar(64) NOT NULL DEFAULT '',
  `updated` datetime NOT NULL,
  PRIMARY KEY (`user_type`,`user_id`),
  UNIQUE KEY `rv_password_recovery_recovery_id` (`recovery_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_password_recovery
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_placement_zone_assoc`
-- ----------------------------
DROP TABLE IF EXISTS `rv_placement_zone_assoc`;
CREATE TABLE `rv_placement_zone_assoc` (
  `placement_zone_assoc_id` int(11) NOT NULL AUTO_INCREMENT,
  `zone_id` int(11) DEFAULT NULL,
  `placement_id` int(11) DEFAULT NULL,
  PRIMARY KEY (`placement_zone_assoc_id`),
  KEY `rv_placement_zone_assoc_zone_id` (`zone_id`),
  KEY `rv_placement_zone_assoc_placement_id` (`placement_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_placement_zone_assoc
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_preferences`
-- ----------------------------
DROP TABLE IF EXISTS `rv_preferences`;
CREATE TABLE `rv_preferences` (
  `preference_id` int(11) NOT NULL AUTO_INCREMENT,
  `preference_name` varchar(64) NOT NULL DEFAULT '',
  `account_type` varchar(16) NOT NULL DEFAULT '',
  PRIMARY KEY (`preference_id`),
  UNIQUE KEY `rv_preferences_preference_name` (`preference_name`),
  KEY `rv_preferences_account_type` (`account_type`)
) ENGINE=MyISAM AUTO_INCREMENT=98 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_preferences
-- ----------------------------
INSERT INTO `rv_preferences` VALUES ('1', 'default_banner_image_url', 'TRAFFICKER');
INSERT INTO `rv_preferences` VALUES ('2', 'default_banner_destination_url', 'TRAFFICKER');
INSERT INTO `rv_preferences` VALUES ('3', 'default_banner_weight', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('4', 'default_campaign_weight', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('5', 'warn_email_admin', 'ADMIN');
INSERT INTO `rv_preferences` VALUES ('6', 'warn_email_admin_impression_limit', 'ADMIN');
INSERT INTO `rv_preferences` VALUES ('7', 'warn_email_admin_day_limit', 'ADMIN');
INSERT INTO `rv_preferences` VALUES ('8', 'campaign_ecpm_enabled', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('9', 'contract_ecpm_enabled', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('10', 'warn_email_manager', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('11', 'warn_email_manager_impression_limit', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('12', 'warn_email_manager_day_limit', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('13', 'warn_email_advertiser', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('14', 'warn_email_advertiser_impression_limit', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('15', 'warn_email_advertiser_day_limit', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('16', 'timezone', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('17', 'tracker_default_status', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('18', 'tracker_default_type', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('19', 'tracker_link_campaigns', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('20', 'ui_show_campaign_info', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('21', 'ui_show_banner_info', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('22', 'ui_show_campaign_preview', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('23', 'ui_show_banner_html', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('24', 'ui_show_banner_preview', 'ADVERTISER');
INSERT INTO `rv_preferences` VALUES ('25', 'ui_hide_inactive', '');
INSERT INTO `rv_preferences` VALUES ('26', 'ui_show_matching_banners', 'TRAFFICKER');
INSERT INTO `rv_preferences` VALUES ('27', 'ui_show_matching_banners_parents', 'TRAFFICKER');
INSERT INTO `rv_preferences` VALUES ('28', 'ui_show_entity_id', '');
INSERT INTO `rv_preferences` VALUES ('29', 'ui_novice_user', '');
INSERT INTO `rv_preferences` VALUES ('30', 'ui_week_start_day', '');
INSERT INTO `rv_preferences` VALUES ('31', 'ui_percentage_decimals', '');
INSERT INTO `rv_preferences` VALUES ('32', 'ui_column_revenue', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('33', 'ui_column_revenue_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('34', 'ui_column_revenue_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('35', 'ui_column_bv', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('36', 'ui_column_bv_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('37', 'ui_column_bv_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('38', 'ui_column_num_items', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('39', 'ui_column_num_items_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('40', 'ui_column_num_items_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('41', 'ui_column_revcpc', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('42', 'ui_column_revcpc_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('43', 'ui_column_revcpc_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('44', 'ui_column_erpm', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('45', 'ui_column_erpm_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('46', 'ui_column_erpm_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('47', 'ui_column_erpc', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('48', 'ui_column_erpc_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('49', 'ui_column_erpc_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('50', 'ui_column_erps', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('51', 'ui_column_erps_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('52', 'ui_column_erps_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('53', 'ui_column_eipm', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('54', 'ui_column_eipm_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('55', 'ui_column_eipm_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('56', 'ui_column_eipc', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('57', 'ui_column_eipc_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('58', 'ui_column_eipc_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('59', 'ui_column_eips', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('60', 'ui_column_eips_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('61', 'ui_column_eips_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('62', 'ui_column_ecpm', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('63', 'ui_column_ecpm_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('64', 'ui_column_ecpm_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('65', 'ui_column_ecpc', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('66', 'ui_column_ecpc_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('67', 'ui_column_ecpc_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('68', 'ui_column_ecps', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('69', 'ui_column_ecps_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('70', 'ui_column_ecps_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('71', 'ui_column_id', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('72', 'ui_column_id_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('73', 'ui_column_id_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('74', 'ui_column_requests', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('75', 'ui_column_requests_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('76', 'ui_column_requests_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('77', 'ui_column_impressions', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('78', 'ui_column_impressions_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('79', 'ui_column_impressions_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('80', 'ui_column_clicks', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('81', 'ui_column_clicks_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('82', 'ui_column_clicks_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('83', 'ui_column_ctr', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('84', 'ui_column_ctr_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('85', 'ui_column_ctr_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('86', 'ui_column_conversions', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('87', 'ui_column_conversions_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('88', 'ui_column_conversions_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('89', 'ui_column_conversions_pending', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('90', 'ui_column_conversions_pending_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('91', 'ui_column_conversions_pending_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('92', 'ui_column_sr_views', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('93', 'ui_column_sr_views_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('94', 'ui_column_sr_views_rank', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('95', 'ui_column_sr_clicks', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('96', 'ui_column_sr_clicks_label', 'MANAGER');
INSERT INTO `rv_preferences` VALUES ('97', 'ui_column_sr_clicks_rank', 'MANAGER');

-- ----------------------------
-- Table structure for `rv_session`
-- ----------------------------
DROP TABLE IF EXISTS `rv_session`;
CREATE TABLE `rv_session` (
  `sessionid` varchar(32) NOT NULL DEFAULT '',
  `sessiondata` text NOT NULL,
  `lastused` datetime DEFAULT NULL,
  PRIMARY KEY (`sessionid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_session
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_stats_vast`
-- ----------------------------
DROP TABLE IF EXISTS `rv_stats_vast`;
CREATE TABLE `rv_stats_vast` (
  `interval_start` datetime NOT NULL,
  `creative_id` int(11) NOT NULL,
  `zone_id` int(11) NOT NULL,
  `vast_event_id` int(11) NOT NULL,
  `count` int(11) NOT NULL DEFAULT '0',
  KEY `rv_stats_vast_creativekey` (`interval_start`,`creative_id`),
  KEY `rv_stats_vast_zonekey` (`interval_start`,`zone_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_stats_vast
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_targetstats`
-- ----------------------------
DROP TABLE IF EXISTS `rv_targetstats`;
CREATE TABLE `rv_targetstats` (
  `day` date NOT NULL,
  `campaignid` int(11) NOT NULL DEFAULT '0',
  `target` int(11) NOT NULL DEFAULT '0',
  `views` int(11) NOT NULL DEFAULT '0',
  `modified` tinyint(4) NOT NULL DEFAULT '0'
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_targetstats
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_trackers`
-- ----------------------------
DROP TABLE IF EXISTS `rv_trackers`;
CREATE TABLE `rv_trackers` (
  `trackerid` int(11) NOT NULL AUTO_INCREMENT,
  `trackername` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  `clientid` int(11) NOT NULL DEFAULT '0',
  `viewwindow` int(11) NOT NULL DEFAULT '0',
  `clickwindow` int(11) NOT NULL DEFAULT '0',
  `blockwindow` int(11) NOT NULL DEFAULT '0',
  `status` int(2) unsigned NOT NULL DEFAULT '4',
  `type` int(2) unsigned NOT NULL DEFAULT '1',
  `linkcampaigns` varchar(20) NOT NULL DEFAULT 'f',
  `variablemethod` varchar(20) NOT NULL DEFAULT 'default',
  `appendcode` text NOT NULL,
  `updated` datetime NOT NULL,
  PRIMARY KEY (`trackerid`),
  KEY `rv_trackers_clientid` (`clientid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_trackers
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_tracker_append`
-- ----------------------------
DROP TABLE IF EXISTS `rv_tracker_append`;
CREATE TABLE `rv_tracker_append` (
  `tracker_append_id` int(11) NOT NULL AUTO_INCREMENT,
  `tracker_id` int(11) NOT NULL DEFAULT '0',
  `rank` int(11) NOT NULL DEFAULT '0',
  `tagcode` text NOT NULL,
  `paused` enum('t','f') NOT NULL DEFAULT 'f',
  `autotrack` enum('t','f') NOT NULL DEFAULT 'f',
  PRIMARY KEY (`tracker_append_id`),
  KEY `rv_tracker_append_tracker_id` (`tracker_id`,`rank`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_tracker_append
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_upgrade_action`
-- ----------------------------
DROP TABLE IF EXISTS `rv_upgrade_action`;
CREATE TABLE `rv_upgrade_action` (
  `upgrade_action_id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `upgrade_name` varchar(128) DEFAULT NULL,
  `version_to` varchar(64) NOT NULL DEFAULT '',
  `version_from` varchar(64) DEFAULT NULL,
  `action` int(2) NOT NULL,
  `description` varchar(255) DEFAULT NULL,
  `logfile` varchar(128) DEFAULT NULL,
  `confbackup` varchar(128) DEFAULT NULL,
  `updated` datetime DEFAULT NULL,
  PRIMARY KEY (`upgrade_action_id`),
  KEY `rv_upgrade_action_updated` (`updated`)
) ENGINE=MyISAM AUTO_INCREMENT=34 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_upgrade_action
-- ----------------------------
INSERT INTO `rv_upgrade_action` VALUES ('1', 'install_3.0.4', '3.0.4', '0', '1', 'UPGRADE_COMPLETE', 'install.log', null, '2014-04-23 11:14:18');
INSERT INTO `rv_upgrade_action` VALUES ('2', 'install_openXBannerTypes', '1.2.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:54');
INSERT INTO `rv_upgrade_action` VALUES ('3', 'install_oxHtml', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:54');
INSERT INTO `rv_upgrade_action` VALUES ('4', 'install_oxText', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:54');
INSERT INTO `rv_upgrade_action` VALUES ('5', 'install_openXDeliveryLimitations', '1.2.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:59');
INSERT INTO `rv_upgrade_action` VALUES ('6', 'install_Client', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:58');
INSERT INTO `rv_upgrade_action` VALUES ('7', 'install_Geo', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:59');
INSERT INTO `rv_upgrade_action` VALUES ('8', 'install_Site', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:59');
INSERT INTO `rv_upgrade_action` VALUES ('9', 'install_Time', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:14:59');
INSERT INTO `rv_upgrade_action` VALUES ('10', 'install_openX3rdPartyServers', '1.1.0', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:03');
INSERT INTO `rv_upgrade_action` VALUES ('11', 'install_ox3rdPartyServers', '1.1.0', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:03');
INSERT INTO `rv_upgrade_action` VALUES ('12', 'install_openXReports', '1.5.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:07');
INSERT INTO `rv_upgrade_action` VALUES ('13', 'install_oxReportsStandard', '1.5.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:07');
INSERT INTO `rv_upgrade_action` VALUES ('14', 'install_oxReportsAdmin', '1.5.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:07');
INSERT INTO `rv_upgrade_action` VALUES ('15', 'install_openXDeliveryCacheStore', '1.1.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:12');
INSERT INTO `rv_upgrade_action` VALUES ('16', 'install_oxCacheFile', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:11');
INSERT INTO `rv_upgrade_action` VALUES ('17', 'install_oxMemcached', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:11');
INSERT INTO `rv_upgrade_action` VALUES ('18', 'install_openXMaxMindGeoIP', '1.2.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:16');
INSERT INTO `rv_upgrade_action` VALUES ('19', 'install_oxMaxMindGeoIP', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:16');
INSERT INTO `rv_upgrade_action` VALUES ('20', 'install_openXInvocationTags', '1.2.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:20');
INSERT INTO `rv_upgrade_action` VALUES ('21', 'install_oxInvocationTags', '1.2.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:20');
INSERT INTO `rv_upgrade_action` VALUES ('22', 'install_openXDeliveryLog', '1.1.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:26');
INSERT INTO `rv_upgrade_action` VALUES ('23', 'install_oxDeliveryDataPrepare', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:25');
INSERT INTO `rv_upgrade_action` VALUES ('24', 'install_oxLogClick', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:26');
INSERT INTO `rv_upgrade_action` VALUES ('25', 'install_oxLogConversion', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:26');
INSERT INTO `rv_upgrade_action` VALUES ('26', 'install_oxLogImpression', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:26');
INSERT INTO `rv_upgrade_action` VALUES ('27', 'install_oxLogRequest', '1.1.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:26');
INSERT INTO `rv_upgrade_action` VALUES ('28', 'install_openXVideoAds', '1.10.1', '0', '4', 'PACKAGE INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:32');
INSERT INTO `rv_upgrade_action` VALUES ('29', 'install_vastInlineBannerTypeHtml', '1.10.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:32');
INSERT INTO `rv_upgrade_action` VALUES ('30', 'install_vastOverlayBannerTypeHtml', '1.10.1', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:32');
INSERT INTO `rv_upgrade_action` VALUES ('31', 'install_oxLogVast', '1.10.0', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:32');
INSERT INTO `rv_upgrade_action` VALUES ('32', 'install_vastServeVideoPlayer', '1.10.0', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:32');
INSERT INTO `rv_upgrade_action` VALUES ('33', 'install_videoReport', '1.10.0', '0', '4', 'PLUGIN INSTALL COMPLETE', 'plugins.log', null, '2014-04-23 03:15:32');

-- ----------------------------
-- Table structure for `rv_userlog`
-- ----------------------------
DROP TABLE IF EXISTS `rv_userlog`;
CREATE TABLE `rv_userlog` (
  `userlogid` int(11) NOT NULL AUTO_INCREMENT,
  `timestamp` int(11) NOT NULL DEFAULT '0',
  `usertype` tinyint(4) NOT NULL DEFAULT '0',
  `userid` int(11) NOT NULL DEFAULT '0',
  `action` int(11) NOT NULL DEFAULT '0',
  `object` int(11) DEFAULT NULL,
  `details` mediumtext,
  PRIMARY KEY (`userlogid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_userlog
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_users`
-- ----------------------------
DROP TABLE IF EXISTS `rv_users`;
CREATE TABLE `rv_users` (
  `user_id` int(11) NOT NULL AUTO_INCREMENT,
  `contact_name` varchar(255) NOT NULL DEFAULT '',
  `contact_phone` varchar(200) DEFAULT NULL,
  `email_address` varchar(64) NOT NULL DEFAULT '',
  `username` varchar(64) DEFAULT NULL,
  `password` varchar(64) DEFAULT NULL,
  `language` varchar(5) DEFAULT NULL,
  `default_account_id` int(11) DEFAULT NULL,
  `comments` varchar(1000) DEFAULT NULL,
  `active` int(2) NOT NULL DEFAULT '1',
  `updated` datetime NOT NULL,
  `sso_user_id` int(11) DEFAULT NULL,
  `date_created` datetime DEFAULT NULL,
  `date_last_login` datetime DEFAULT NULL,
  `email_updated` datetime DEFAULT NULL,
  PRIMARY KEY (`user_id`),
  UNIQUE KEY `rv_users_username` (`username`),
  UNIQUE KEY `rv_users_sso_user_id` (`sso_user_id`)
) ENGINE=MyISAM AUTO_INCREMENT=2 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_users
-- ----------------------------
INSERT INTO `rv_users` VALUES ('1', '江兰', null, 'j@cloudcross.com', 'j@cloudcross.com', 'e10adc3949ba59abbe56e057f20f883e', 'en', '2', null, '1', '2014-04-23 11:14:48', null, '2014-04-23 11:14:48', '2014-04-24 09:26:24', '2014-04-23 11:14:48');

-- ----------------------------
-- Table structure for `rv_variables`
-- ----------------------------
DROP TABLE IF EXISTS `rv_variables`;
CREATE TABLE `rv_variables` (
  `variableid` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `trackerid` int(11) NOT NULL DEFAULT '0',
  `name` varchar(250) NOT NULL DEFAULT '',
  `description` varchar(250) DEFAULT NULL,
  `datatype` enum('numeric','string','date') NOT NULL DEFAULT 'numeric',
  `purpose` enum('basket_value','num_items','post_code') DEFAULT NULL,
  `reject_if_empty` smallint(1) unsigned NOT NULL DEFAULT '0',
  `is_unique` int(11) NOT NULL DEFAULT '0',
  `unique_window` int(11) NOT NULL DEFAULT '0',
  `variablecode` varchar(255) NOT NULL DEFAULT '',
  `hidden` enum('t','f') NOT NULL DEFAULT 'f',
  `updated` datetime NOT NULL,
  PRIMARY KEY (`variableid`),
  KEY `rv_variables_is_unique` (`is_unique`),
  KEY `rv_variables_trackerid` (`trackerid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_variables
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_variable_publisher`
-- ----------------------------
DROP TABLE IF EXISTS `rv_variable_publisher`;
CREATE TABLE `rv_variable_publisher` (
  `variable_id` int(11) NOT NULL,
  `publisher_id` int(11) NOT NULL,
  `visible` tinyint(1) NOT NULL,
  PRIMARY KEY (`variable_id`,`publisher_id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_variable_publisher
-- ----------------------------

-- ----------------------------
-- Table structure for `rv_zones`
-- ----------------------------
DROP TABLE IF EXISTS `rv_zones`;
CREATE TABLE `rv_zones` (
  `zoneid` int(11) NOT NULL AUTO_INCREMENT,
  `affiliateid` int(11) DEFAULT NULL,
  `zonename` varchar(255) NOT NULL DEFAULT '',
  `description` varchar(255) NOT NULL DEFAULT '',
  `deliverytype` int(2) NOT NULL,
  `delivery` int(11) NOT NULL DEFAULT '0',
  `zonetype` int(11) NOT NULL DEFAULT '0',
  `category` text NOT NULL,
  `width` int(11) NOT NULL DEFAULT '0',
  `height` int(11) NOT NULL DEFAULT '0',
  `ad_selection` text NOT NULL,
  `chain` text NOT NULL,
  `prepend` text NOT NULL,
  `append` text NOT NULL,
  `appendtype` int(11) NOT NULL DEFAULT '0',
  `forceappend` varchar(20) DEFAULT 'f',
  `inventory_forecast_type` int(11) NOT NULL DEFAULT '0',
  `comments` varchar(1000) DEFAULT NULL,
  `cost` decimal(10,4) DEFAULT NULL,
  `cost_type` int(11) DEFAULT NULL,
  `cost_variable_id` varchar(255) DEFAULT NULL,
  `technology_cost` decimal(10,4) DEFAULT NULL,
  `technology_cost_type` int(11) DEFAULT NULL,
  `status` int(2) DEFAULT NULL,
  `updated` datetime NOT NULL,
  `created` datetime NOT NULL,
  `block` int(11) NOT NULL DEFAULT '0',
  `capping` int(11) NOT NULL DEFAULT '0',
  `session_capping` int(11) NOT NULL DEFAULT '0',
  `what` text NOT NULL,
  `as_zone_id` int(11) DEFAULT NULL,
  `is_in_ad_direct` int(4) NOT NULL DEFAULT '0',
  `rate` decimal(19,2) DEFAULT NULL,
  `pricing` varchar(50) NOT NULL DEFAULT 'CPM',
  `oac_category_id` int(11) DEFAULT NULL,
  `ext_adselection` varchar(255) DEFAULT NULL,
  `show_capped_no_cookie` int(4) NOT NULL DEFAULT '0',
  PRIMARY KEY (`zoneid`),
  KEY `rv_zones_zonenameid` (`zonename`,`zoneid`),
  KEY `rv_zones_affiliateid` (`affiliateid`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of rv_zones
-- ----------------------------