<?xml version="1.0"?>
<?mso-application progid="Excel.Sheet"?>
<Workbook xmlns="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:o="urn:schemas-microsoft-com:office:office"
 xmlns:x="urn:schemas-microsoft-com:office:excel"
 xmlns:ss="urn:schemas-microsoft-com:office:spreadsheet"
 xmlns:html="http://www.w3.org/TR/REC-html40">
 <DocumentProperties xmlns="urn:schemas-microsoft-com:office:office">
  <Author>adnetwork</Author>
  <LastAuthor>adnetwork</LastAuthor>
  <Created>2014-10-15T06:05:44Z</Created>
  <Version>14.00</Version>
 </DocumentProperties>
 <OfficeDocumentSettings xmlns="urn:schemas-microsoft-com:office:office">
  <AllowPNG/>
 </OfficeDocumentSettings>
 <ExcelWorkbook xmlns="urn:schemas-microsoft-com:office:excel">
  <WindowHeight>5130</WindowHeight>
  <WindowWidth>16155</WindowWidth>
  <WindowTopX>240</WindowTopX>
  <WindowTopY>45</WindowTopY>
  <ProtectStructure>False</ProtectStructure>
  <ProtectWindows>False</ProtectWindows>
 </ExcelWorkbook>
 <Styles>
  <Style ss:ID="Default" ss:Name="Normal">
   <Alignment ss:Vertical="Center"/>
   <Borders/>
   <Font ss:FontName="宋体" x:CharSet="134" ss:Size="11" ss:Color="#000000"/>
   <Interior/>
   <NumberFormat/>
   <Protection/>
  </Style>
  <Style ss:ID="s63" ss:Name="超链接">
   <Font ss:FontName="宋体" x:CharSet="134" ss:Size="11" ss:Color="#0000FF"
    ss:Underline="Single"/>
  </Style>
  <Style ss:ID="s65">
   <NumberFormat ss:Format="Short Date"/>
  </Style>
  <Style ss:ID="s66">
   <NumberFormat ss:Format="0%"/>
  </Style>
 </Styles>
 <Worksheet ss:Name="Sheet1">
  <Table ss:ExpandedColumnCount="${column!}" ss:ExpandedRowCount="<#if dataSize??>${dataSize+4}<#else>4</#if>" x:FullColumns="1"
   x:FullRows="1" ss:DefaultColumnWidth="54" ss:DefaultRowHeight="13.5">
   <Column ss:AutoFitWidth="0" ss:Width="114"/>
   <Column ss:AutoFitWidth="0" ss:Width="95.25"/>
   <Column ss:AutoFitWidth="0" ss:Width="93" ss:Span="1"/>
   <Column ss:Index="5" ss:AutoFitWidth="0" ss:Width="74.25"/>
   <Column ss:Width="63"/>
   <Row>
    <Cell ss:MergeAcross="9"><Data ss:Type="String">开始日期：${startDate!}    结束日期：${endDate!}</Data></Cell>
   </Row>
   <Row>
    <Cell ss:MergeAcross="9"><Data ss:Type="String">广告主：<#if selectedadvertiserName??>${selectedadvertiserName}</#if>   订单：<#if selectedorderName??>${selectedorderName}</#if>    活动：<#if selectedcampaignName??>${selectedcampaignName}</#if>    投放：<#if selectedadGroupName??>${selectedadGroupName}</#if></Data></Cell>
   </Row>
   <Row>
   	<Cell><Data ss:Type="String"></Data></Cell>
   	<#if impression??><Cell ss:MergeAcross="1"><Data ss:Type="String">曝光</Data></Cell></#if>
   	<#if click??><Cell ss:MergeAcross="1"><Data ss:Type="String">点击</Data></Cell></#if>
   	<#if visit??><Cell ss:MergeAcross="1"><Data ss:Type="String">到达</Data></Cell></#if>
   	<#if conversion??><Cell ss:MergeAcross="1"><Data ss:Type="String">转化</Data></Cell></#if>
   	<#if consume??><Cell ss:MergeAcross="1"><Data ss:Type="String">花费</Data></Cell></#if>
   </Row>
   <Row>
   	
   	<Cell><Data ss:Type="String"></Data></Cell>
   	
   	<#if impression??><Cell><Data ss:Type="String">曝光占比</Data></Cell></#if>
	<#if impression??><Cell><Data ss:Type="String">曝光数</Data></Cell></#if>
		
	<#if click??><Cell><Data ss:Type="String">点击数</Data></Cell></#if>
	<#if click??><Cell><Data ss:Type="String">点击率</Data></Cell></#if>
		
	<#if visit??><Cell><Data ss:Type="String">到达数</Data></Cell></#if>
	<#if visit??><Cell><Data ss:Type="String">到达率</Data></Cell></#if>
	    
	<#if conversion??><Cell><Data ss:Type="String">转化数</Data></Cell></#if>
	<#if conversion??><Cell><Data ss:Type="String">转化率</Data></Cell></#if>
	     
	<#if consume??><Cell><Data ss:Type="String">eCPM</Data></Cell></#if>
	<#if consume??><Cell><Data ss:Type="String">花费</Data></Cell></#if>
   
   </Row>
   
<#if dataList ??>
     <#list dataList as deliverAnalysis>   
	<Row>
	<#if location??>
	<Cell><Data ss:Type="String">${deliverAnalysis.location!}</Data></Cell>
   	</#if>
   	<#if system??><Cell><Data ss:Type="String"><#if deliverAnalysis.system==1>windows<#elseif deliverAnalysis.system==2>ios<#elseif deliverAnalysis.system==3>android<#elseif deliverAnalysis.system==4>mac<#elseif deliverAnalysis.system==5>wp<#elseif deliverAnalysis.system==6>other</#if></Data></Cell></#if>
   	<#if place??><Cell><Data ss:Type="String">${deliverAnalysis.place!}</Data></Cell></#if>
   	
   	<#if impression??><Cell><Data ss:Type="String">${deliverAnalysis.impressionRate!}%</Data></Cell></#if>
   	<#if impression??><Cell><Data ss:Type="String">${deliverAnalysis.impression!}</Data></Cell></#if>
		
	<#if click??><Cell><Data ss:Type="String">${deliverAnalysis.click!}</Data></Cell></#if>
	<#if click??><Cell><Data ss:Type="String">${deliverAnalysis.clickRate!}%</Data></Cell></#if>
			
	<#if visit??><Cell><Data ss:Type="String">${deliverAnalysis.visit!}</Data></Cell></#if>
	<#if visit??><Cell><Data ss:Type="String">${deliverAnalysis.visitRate!}%</Data></Cell></#if>
			
	<#if conversion??><Cell><Data ss:Type="String">${deliverAnalysis.conversion!}</Data></Cell></#if>
	<#if conversion??><Cell><Data ss:Type="String">${deliverAnalysis.conversionRate!}%</Data></Cell></#if>
	     	
	<#if consume??><Cell><Data ss:Type="String">${deliverAnalysis.eCmp!}</Data></Cell></#if>
	<#if consume??><Cell><Data ss:Type="String">${deliverAnalysis.consume!}</Data></Cell></#if>
   	
   </Row>
	 </#list>
  </#if>   
  </Table>
  <WorksheetOptions xmlns="urn:schemas-microsoft-com:office:excel">
   <PageSetup>
    <Header x:Margin="0.3"/>
    <Footer x:Margin="0.3"/>
    <PageMargins x:Bottom="0.75" x:Left="0.7" x:Right="0.7" x:Top="0.75"/>
   </PageSetup>
   <Selected/>
   <Panes>
    <Pane>
     <Number>3</Number>
     <ActiveRow>7</ActiveRow>
     <ActiveCol>8</ActiveCol>
    </Pane>
   </Panes>
   <ProtectObjects>False</ProtectObjects>
   <ProtectScenarios>False</ProtectScenarios>
  </WorksheetOptions>
 </Worksheet>
</Workbook>
