<@override name="head">	
<title>创建广告主</title>
<link rel="stylesheet" href="${ctx}/assets/css/ace.min.css"/>
<script type="text/javascript" src="${ctx}/assets/js/lib/ajaxfileupload.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/ace-elements.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/uploadFile.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/dropDownList.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/advertiser.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">创建广告主</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/advertiser/main/ad/advertiser/save" method="post">
	 			<input type="hidden" id="agentId" name="agentId" value="${agentId!}"/>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>广告主名称：</label>
					<input class="input-text" tabindex="1" id="name" name="name" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="industryul_selectdiv">
					<label class="input-label"><span class="lbl-yes">*</span>广告主行业：</label>
					<span class="spanVaildate_ul"></span>
					<ul id="main_industryul">
						<li class="select_box" id="industryul_select_box">
						   	<span id="industryul_span">请选择所属行业</span>
						    <ul class="son_ul" id="industry_son_ul"></ul>
						 </li>
					</ul>
					<input type="hidden" id="industryId" name="industryId" value=""/>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>公司注册名：</label>
					<input class="input-text" tabindex="2" id="regName" name="regName" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>网址：</label>
					<input class="input-text" tabindex="3" id="homePage" name="homePage" type="text" value="" verify="website/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>联系人：</label>
					<input class="input-text" tabindex="4" id="contacts" name="contacts" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>联系电话：</label>
					<input class="input-text" tabindex="5" id="tel" name="tel" type="text" value="" verify="tel-mobile/12/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>E-mail：</label>
					<input class="input-text" tabindex="6" id="email" name="email" type="text" value="" verify="email/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>备注：</label>
					<input class="input-text" tabindex="7" id="memo" name="memo" type="text" value="" verify="unspecial/255/0/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="upload_qulifications">
					<label class="input-label"><span class="lbl-no"></span>上传资质：</label>
					<table border="1" class="uploadTable">
						<thead>
							<tr>
								 <th style="width:15%;">企业资质</th>
								 <th style="width:20%;">素材</th>
							</tr>
						</thead>
						<tbody>
							<tr>
								<td>ICP</td>
								<td>
									<div id="cpiPath_div" class="selectFile_div">
										<input id="cpiPath" type="hidden" name="cpiPath" value=""/>
										<input id="icp_input_id" type="file" name="file"/>
										<button id="cpiPathUploadfilestr" class="uploadOrView" type="button" href="${ctx}/advertiser/main/ad/advertiser/fileUpload">上传</button>	
									</div>
								</td>	
							</tr>
							<tr>
								<td>企业营业执照</td>
								<td>
									<div id="licencePath_div" class="selectFile_div">
										<input id="licencePath" type="hidden" name="licencePath" value=""/>
										<input id="licencePath_input_id" type="file" name="file"/>
										<button id="licencePathUploadfilestr" class="uploadOrView" type="button" href="${ctx}/advertiser/main/ad/advertiser/fileUpload">上传</button>
									</div>
								</td>
							</tr>
							<tr>
								<td>法人代表身份证</td>
								<td>
									<div id="idPath_div" class="selectFile_div">
										<input id="idPath" type="hidden" name="idPath" value=""/>
										<input id="idPath_input_id" type="file" name="file"/>
										<button id="idPathUploadfilestr" class="uploadOrView" type="button" href="${ctx}/advertiser/main/ad/advertiser/fileUpload">上传</button>
									</div>
								</td>
							</tr>
							<tr>
								<td>企业机构代码证</td>
								<td>
									<div id="orgPath_div" class="selectFile_div">
										<input id="orgPath" type="hidden" name="orgPath" value=""/>
										<input id="orgPath_input_id" type="file" name="file"/>
										<button id="orgPathUploadfilestr" class="uploadOrView" type="button" href="${ctx}/advertiser/main/ad/advertiser/fileUpload">上传</button>
									</div>
								</td>	
							</tr>
						</tbody>
					</table>
				</div>	
						
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>