<@override name="head">	
<title>创建订单</title>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/order.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<#if role == "agent">
					<li><a href="${ctx}/advertiser/main/ad/advertiser/list">广告主管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					</#if>
					<li><a href="${ctx}/advertiser/main/ad/order/list?advertiserId=${advertiserId!}">订单管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">创建订单</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/advertiser/main/ad/order/save" method="post">
	 			<input type="hidden" id="balance" value="${balance!}"/>
	 			<input type="hidden" id="advertiserId" name="advertiserId" value="${advertiserId!}"/>
	 			<input type="hidden" id="agentId" name="agentId" value="${agentId!}"/>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>订单名称：</label>
					<input class="input-text" tabindex="1" id="name" name="name" type="text" value="" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>总预算：</label>
					<input class="input-text" tabindex="2" id="budget" name="budget" type="text" value="" verify="float/11/1/2"/><span class="input-span">元</span><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>备注：</label>
					<input class="input-text" tabindex="3" id="comment" name="comment" type="text" value="" verify="unspecial/1000/0/0"/><span class="spanVaildate"></span>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>