<@override name="head">
<title>编辑维度</title>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/dimension.js"></script>
</@override> 
<@override name="body">
	<!-- PAGE CONTENT BEGINS HERE -->
	<div id=content_bg>
	<#include "/advertiser/main/public-head.ftl">
    <div id= "pagecontent">
		<div id="content">
			<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/report/advertiser-report">数据报表</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/ad/report/advertiser-report/dimension">维度管理</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">编辑维度</li>
				</ul>  
 			</div>
			<form id="validateForm" action="${ctx}/advertiser/main/ad/report/advertiser-report/save" method="post">
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>维度名称：</label>
					<input class="input-text" tabindex="1" id="name" name="name" type="text" value="${dimension.name!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<ul id="dimension-chooseing">
					<#if notdimensionTypeList ??>
					<#list notdimensionTypeList as typename>
						<li>${typename!}</li>
					</#list>
					</#if>	
					</ul>
					<span id="dimension-showspan">请将左侧维度加入此处</span>
					<ul id="dimension-selected">
					<#if dimensionTypeList ??>
					<#list dimensionTypeList as typename>
						<li>${typename!}<input type='button' class='movedel'/><input type='button' class='movedown'/><input type='button' class='moveup'/></li>
					</#list>
					</#if>
					</ul>
					<input type="hidden" id="selected_ops" name="content" value="${dimension.content!}"/>
					<input type="hidden" id="accountId" name="accountId" value="${accountId!}"/>
					<input type="hidden" name="isDefault" value="${dimension.isDefault!}"/>
					<input id="dimensionId" type="hidden" name="id" value="${dimension.id!}"/>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" type="button">取消</button>
				</div>
			</form>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
