<@override name="head">	
<title>编辑账号</title>
<script type="text/javascript" src="${ctx}/assets/js/common/validate.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/advertiser/authority.js"></script>
</@override>	
<@override name="body">
<div id=content_bg>
 	<#include "/advertiser/main/public-head.ftl"/>
	<div id= "pagecontent">
		<div id="content">
	   		<div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/advertiser/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li><a href="${ctx}/advertiser/main/authority/list">权限管理</a></li>
					<li><i class="icon-angle-right"></i></li>
					<li class="navDiv_currentLi">编辑账号</li>
				</ul>  
	 		</div>
	 		<form id="validateForm" action="${ctx}/advertiser/main/authority/save" method="post">
	 			<input type="hidden" name="id" id="accountId" value="${account.id!}"/>
				<div class="input-group">
					<label class="input-label"><span class="lbl-no"></span>关联广告主：</label>
					<span class="spanVaildate_ul"></span>
					<ul id="main_advertiserul">
						<li class="select_box" id="advertiserul_box">
							<span id="advertiserul_span">请选择广告主</span>
							<ul class="son_ul" id="advertiser_son_ul"></ul>
						</li>
					</ul>
					<input type="hidden" name="advertiserId" id="advertiserId" value="${account.advertiserId!}"/>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号：</label>
					<input class="input-text" tabindex="1" id="accountName" name="accountName" type="text" value="${account.accountName!}" disabled="true"/>
				</div>
				<div class="input-group" id="password-div">
					<label class="input-label"><span class="lbl-yes">*</span>密码：</label>
					<span id="password-span"><input class="input-text" tabindex="2" id="password" name="password" type="password" value="" verify="unspecial/100/0/0" disabled="true"/></span><span class="spanVaildate"></span>
				</div>
				<div class="input-group" id="ensurePassword-div">
					<label class="input-label"><span class="lbl-yes">*</span>确认密码：</label>
					<span id="ensurePassword-span"><input class="input-text" tabindex="3" id="ensurePassword" name="ensurePassword" type="password" value="" verify="unspecial/100/0/0" disabled="true"/></span>
					<input id="input-password-edit" type="checkbox" class="input-password"><span class="input-password-span">修改密码</span>
					<span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>姓名：</label>
					<input class="input-text" tabindex="4" id="realName" name="realName" type="text" value="${account.realName!}" verify="unspecial/255/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>联系电话：</label>
					<input class="input-text" tabindex="5" id="tel" name="tel" type="text" value="${account.tel!}" verify="tel-mobile/12/1/0"/><span class="spanVaildate"></span>
				</div>
				<div class="input-group">
					<label class="input-label"><span class="lbl-yes">*</span>账号状态：</label>
					<input class="input-radio" name="state" type="radio" value="1" <#if account.state=="1">checked</#if> /><span class="input-radio-span">开启</span>
					<input class="input-radio" name="state" type="radio" value="0" <#if account.state=="0">checked</#if> /><span class="input-radio-span">暂停</span>
				</div>
				<div class="input-group authority-edit" id="checkboxs">
					<input id="authority" name="authority" type="hidden" value="${authority!}"/>
					<label class="input-label"><span class="lbl-no"></span>权限：</label>
					<input class="input-checkbox" type="checkbox" value="201"/><span class="input-checkbox-span">投放管理</span>
					<input class="input-checkbox" type="checkbox" value="202"/><span class="input-checkbox-span">数据报表</span>
					<input class="input-checkbox" type="checkbox" value="203"/><span class="input-checkbox-span">创意中心</span>
					<input class="input-checkbox" type="checkbox" value="205"/><span class="input-checkbox-span">财务管理</span>
				</div>
				<div id="footBtn">
					<button class="btn-save" type="submit">保存</button>
					<button class="btn-cancel" id="btn-cancel-authority" type="button">取消</button>
				</div>
			</form>
		</div>
    </div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>