<@override name="head">
<title>新增数聚场景</title>
<link rel="stylesheet" href="${ctx}/assets/css/apPlace.css"/>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootstrap.min.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/lib/bootbox.js"></script>
<script type="text/javascript" src="${ctx}/assets/js/back/apPlace.js"></script>
</@override>
<@override name="body">
<!-- PAGE CONTENT BEGINS HERE -->
<div id=content_bg>
	<#include "/back/main/public-head.ftl">
    <div id="pagecontent">
		<div id="content">
			<div id="selectBar_apmac" class="selectBar">
				<a href="${ctx}/back/main/ap/apmac/list">热点管理</a>
				<a class="selectBar_change" href="${ctx}/back/main/ap/place/unclassfiedPlaceName">新增数聚场景</a>
				<a href="${ctx}/back/main/ap/place/place-sort">用户场景定义</a>
				<a href="${ctx}/back/main/ap/apmac/relationship">场景对应关系</a>
		    </div>
		    <div id="navDiv">
				<ul id="navDiv_ul">
					<li><i class="icon-home"></i></li>
					<li><a href="${ctx}/back/main/dashboard">首页</a></li>
					<li><i class="icon-angle-right"></i></li>
				    <li class="navDiv_currentLi">新增数聚场景</li>
				</ul>  
 			</div>
 			<div id="place_sort">
 				<form id="placeTopform" action="${ctx}/back/main/ap/place/unclassfiedPlaceName" method="post">
		 			<div class="place_left">
						<label class="place_label">待分类子场景</label><span>(此项可多选)</span>
						<div class="input-checkboxsDiv">
							<#if placeList ??>
							<#list placeList as place>
							<div class="single_div">
								<input name="place" type="checkbox" id="place_${place.id!}" value="${place.id!}">
								<label class="single_div_span" for="place_${place.id!}">${place.name!}</label>
							</div>
							</#list>
							</#if>
						</div>
						<div id="save" class="btn-save">全选</div>
						<div id="pageDiv-other">
							<#include "/common/pagination/simple.ftl"/>
	                    </div>
					</div>
					<div class="place_right">
						<label class="place_label">数聚场景</label>
						<div class="input-checkboxsDiv">
							<#if placeClassInformationList ??>
							<#list placeClassInformationList as placeClass>
							<div class="single_div_right">
								<input name="placeClass" type="radio" id="placeClass_${placeClass.id!}" value="${placeClass.id!}">
								<label class="single_div_span" for="placeClass_${placeClass.id!}">${placeClass.name!}</label>
							</div>
							</#list>
							</#if>
						</div>
						<div id="place_btnDiv">
							<a id="btn-submit" class="btn3" type="button">提交</a>
						</div>
					</div>
				</form>
			</div>
			<div id="place_bottom">
	 			<div id="selectuls">
					<ul id="main_placeClassIdul">
						<li class="select_box" id="placeClassIdul_box">
							<span id="placeClassIdul_span">请选择数据场景</span>
							<ul class="son_ul" id="placeClassIdul_son_ul">
								<li value='-1'>请选择数据场景</li>
								<#if placeClassInformationList ??>
								<#list placeClassInformationList as placeClass>
									<li value="${placeClass.id!}">${placeClass.name!}</li>
								</#list>
								</#if>
							</ul>
						</li>
					</ul>
					<input type="hidden" name="placeClassId" id="placeClassId" value="${placeClassId!}"/>
				</div>
				<div class="input-checkboxsDiv_d"></div>
				<div id="place_btnDiv">
					<div class="btn-save" id="save_a">全选</div>
					<div class="btn3" id="del">清空</div>
					<a id="btn-delete" class="btn3" type="button">删除</a>
				</div>
			</div>
		</div>
	</div>
</div>
</@override>
<@extends name="/common/simple.ftl"/>
